
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest7 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.0010682129837363693d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5718645399817857d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.8414709848078964d), (-7.709377377084365d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.08805539769187831d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.08782851474047786d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test004"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.99999994f), 0.9999999f, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test005"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-1861424100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test006"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 667519177);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 637578266284939271L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, (-111L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test007"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.2855843395711495d, 4.440892098500626E-16d, 0.025676021633806948d);
    double d4 = regulaFalsiSolver3.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test008"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.4420373434194316d, (-6.471749481519179d), (-1291375114));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test009"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(25831.999999999996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test010"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.03490658503988659d));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test011"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.4465832865439178E11d, 0.0d, 1.5561093595420696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test012"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.048000081325158074d, (-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test013"); }


    float[] f_array1 = new float[] { 1.0f };
    float[] f_array5 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array5);
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array8);
    float[] f_array17 = new float[] { 10.0f, 1.0f };
    boolean b18 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array17);
    float[] f_array19 = null;
    float[] f_array21 = new float[] { 1.0f };
    float[] f_array25 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array21, f_array25);
    float[] f_array28 = new float[] { 1.0f };
    float[] f_array32 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array28, f_array32);
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array25, f_array28);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array19, f_array25);
    boolean b36 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test014"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array11 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, (-1.0d) };
    double[] d_array15 = new double[] {  };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array18);
    double[] d_array25 = new double[] { 0.0d, (-1.0d) };
    double[] d_array26 = new double[] {  };
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26, 1);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array26);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException37 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127024d, (java.lang.Number)0.2855843395711495d, 4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection38 = nonMonotonousSequenceException37.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection38, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test015"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    int i4 = regulaFalsiSolver3.getEvaluations();
    double d5 = regulaFalsiSolver3.getStartValue();
    double d6 = regulaFalsiSolver3.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test016"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.4515259118935525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-807099882));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test017"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array8 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array12);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 0);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int i19 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array17, 0);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array22, (-1643854089));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test018"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(4.7683713E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test019"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)6.518986007313208E-4d, (java.lang.Number)10000, false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test020"); }


    float[] f_array0 = null;
    float[] f_array2 = new float[] { 1.0f };
    float[] f_array6 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array2, f_array6);
    float[] f_array9 = new float[] { 1.0f };
    float[] f_array13 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array9, f_array13);
    float[] f_array16 = new float[] { 1.0f };
    float[] f_array20 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array16, f_array20);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array13, f_array16);
    boolean b23 = org.apache.commons.math.util.MathUtils.equals(f_array2, f_array13);
    float[] f_array25 = new float[] { 1.0f };
    float[] f_array29 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array25, f_array29);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array2, f_array29);
    float[] f_array33 = new float[] { 1.0f };
    float[] f_array37 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array33, f_array37);
    float[] f_array40 = new float[] { 1.0f };
    float[] f_array44 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array40, f_array44);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array33, f_array40);
    boolean b47 = org.apache.commons.math.util.MathUtils.equals(f_array2, f_array40);
    boolean b48 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array0, f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial((-1694167446));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-0.99999994f), 1260, (-1831740707));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test023"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.7971744532679826d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test024"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(2.2922721789588296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.999218722400775d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test025"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536744E-7f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test026"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.15708647509883514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test027"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-40309L), 362880L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test028"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(33, (-637578266284939273L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test029"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.99999994f, 0.99999976f, 8.5899346E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test030"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(1.6426774986715578d, 0.8166149869364815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4081731003761089d));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test031"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-1199L), 183174081);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7438034687145588911L));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test032"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(496.40547848721775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.92810241181315E215d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test033"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.442604904557481d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.099559048004761d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test034"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-2.449293598294706E-16d), (java.lang.Number)0.8533469876428794d, (-100));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test035"); }


    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException11 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)4.806217383912514E-6d, (java.lang.Number)194.01453467426194d, 33, orderDirection9, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException13 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)102L, (java.lang.Number)2.1175823681357508E-22d, (-1023), orderDirection9, true);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = nonMonotonousSequenceException13.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException16 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, (java.lang.Number)(-0.9999998f), 10000, orderDirection14, true);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = nonMonotonousSequenceException16.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test036"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(3.5876581703897314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1618271013);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test037"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination((-0.9999999999999999d), (-0.13476983933776507d), 1.734723475976807E-18d, 0.3157815004097686d, 3.8562048236263E215d, 1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.531816511660613E215d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test038"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test039"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(28.03853339639669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test040"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.9999999f), 107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.6225926E32f));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test041"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array13, orderDirection14, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 0);
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array20);
    double[] d_array24 = new double[] { 0.0d, (-1.0d) };
    double[] d_array25 = new double[] {  };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array28, orderDirection29, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    double[] d_array34 = new double[] { (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array41);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array34);
    boolean b47 = org.apache.commons.math.util.MathUtils.equals(d_array3, d_array34);
    double d48 = org.apache.commons.math.util.MathUtils.safeNorm(d_array34);
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1074790369));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test042"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1023);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test043"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-1.2579284815738159d));
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = regulaFalsiSolver1.solve(550, univariateRealFunction3, 0.0d, 7719.384134950558d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test044"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number1, (-127));
    int i4 = nonMonotonousSequenceException3.getIndex();
    int i5 = nonMonotonousSequenceException3.getIndex();
    java.lang.Number number6 = nonMonotonousSequenceException3.getPrevious();
    int i7 = nonMonotonousSequenceException3.getIndex();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)(short)0, obj_array22);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException24 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable17, number18, obj_array22);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable15, (java.lang.Number)(byte)10, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)(byte)10, obj_array22);
    org.apache.commons.math.exception.NoBracketingException noBracketingException27 = new org.apache.commons.math.exception.NoBracketingException(localizable8, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array22);
    double d28 = noBracketingException27.getFLo();
    double d29 = noBracketingException27.getLo();
    double d30 = noBracketingException27.getHi();
    nonMonotonousSequenceException3.addSuppressed((java.lang.Throwable)noBracketingException27);
    boolean b32 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0000005000001665E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test045"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.2817181715409549d, 0.0069136121251200154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test046"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(0.8686709614860095d, 389);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8686709614860095d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test047"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.102016471589204E38d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test048"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-708.3964185322641d), 49.9147767409927d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution8 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver2.solve(33, univariateRealFunction4, 0.236d, 0.9361389986315348d, 1.4646050133100295d, allowedSolution8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test049"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(8923.592847586888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test050"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)109, number1, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math.exception.DimensionMismatchException(localizable4, 109, 10);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    java.lang.Number number9 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test051"); }


    double[] d_array1 = new double[] { (-1.0d) };
    double[] d_array4 = new double[] { 0.0d, (-1.0d) };
    double[] d_array5 = new double[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array4, d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8, orderDirection9, false);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array8);
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array8, d_array16);
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = null;
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array24, d_array29);
    double[] d_array32 = new double[] { (-1.0d) };
    double[] d_array35 = new double[] { 0.0d, (-1.0d) };
    double[] d_array36 = new double[] {  };
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array35, d_array36);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array36, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array39, orderDirection40, false);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array32, d_array39);
    double[] d_array46 = new double[] { 0.0d, (-1.0d) };
    double[] d_array47 = new double[] {  };
    boolean b48 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array46, d_array47);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.copyOf(d_array47, 1);
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array39, d_array47);
    double d52 = org.apache.commons.math.util.MathUtils.distance1(d_array24, d_array39);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array39);
    double[] d_array55 = org.apache.commons.math.util.MathUtils.copyOf(d_array39, 0);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array39, 0);
    boolean b58 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array60 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array16, 0.8369567916160154d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(13.387169281324777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.387169281324779d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test053"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1490.479161252178d, 0.9046745947530157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1490.4791612521778d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test054"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-0.517223314602415d), obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test055"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.04022939026214322d, 0.0034288025234964757d, 0.0d, 155.74610829489725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.3793863484956123E-4d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test056"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)6890.778963925003d, (java.lang.Number)1.0000001E10f, true);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test057"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(667519177, (-808182895));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-1861424100), (-2105837645));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test059"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.584883591548084d, 7.888609052210118E-31d, 0.0d, 0.7519622965126083d, 0.0d, 0.7971744532679826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.2502527046985498E-30d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.92810241181315E215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence((-0.9999999999999999d), 2.563267202175621E-4d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test062"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-956L));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test063"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.5d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test064"); }


    float f2 = org.apache.commons.math.util.MathUtils.round((-99.99998f), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.99998f));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test065"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(1260, (-390));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 30);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test066"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array6, 254);
    int[] i_array10 = new int[] {  };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array12 = new int[] {  };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int i17 = org.apache.commons.math.util.MathUtils.distanceInf(i_array10, i_array16);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 254);
    int i20 = org.apache.commons.math.util.MathUtils.distanceInf(i_array6, i_array19);
    int[] i_array21 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array22 = new int[] {  };
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int[] i_array24 = new int[] {  };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array25);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array26, 1);
    int i29 = org.apache.commons.math.util.MathUtils.distanceInf(i_array22, i_array28);
    int[] i_array30 = new int[] {  };
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array32, 1);
    int i35 = org.apache.commons.math.util.MathUtils.distance1(i_array22, i_array34);
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array22, 0);
    int[] i_array38 = new int[] {  };
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array38);
    int[] i_array40 = org.apache.commons.math.util.MathUtils.copyOf(i_array39);
    int i41 = org.apache.commons.math.util.MathUtils.distance1(i_array37, i_array39);
    // The following exception was thrown during execution in test generation
    try {
      int i42 = org.apache.commons.math.util.MathUtils.distance1(i_array21, i_array37);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0000002124858702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.518985544850239E-4d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test068"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.16271553501885383d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test069"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.2297598079365901d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test070"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(6.676532015564395E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test071"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-20));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test072"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(17330, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test073"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount();
    int i6 = incrementor0.getCount();
    incrementor0.resetCount();
    int i8 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test074"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.9999998f, 1.1920929E-7f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test075"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test076"); }


    int i2 = org.apache.commons.math.util.FastMath.min(72, (-1643854089));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1643854089));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.5277244953413643d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test078"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.6065306597126334d, 24.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test079"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(956L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(205.5576714989584d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11777.587023426926d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test081"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.1627155350188538d, 8.936085770210967E-6d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = regulaFalsiSolver2.solve(5, univariateRealFunction4, (-0.08452208748282004d), 2.2737367544323206E-13d, (-0.08805539769187831d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test082"); }


    double[] d_array0 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection1 = null;
    double[] d_array3 = new double[] { (-1.0d) };
    double[] d_array6 = new double[] { 0.0d, (-1.0d) };
    double[] d_array7 = new double[] {  };
    boolean b8 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array6, d_array7);
    double[] d_array10 = org.apache.commons.math.util.MathUtils.copyOf(d_array7, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection11 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array10, orderDirection11, false);
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array10);
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array18);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException29 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number30 = nonMonotonousSequenceException29.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection31 = nonMonotonousSequenceException29.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException33 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection31, false);
    boolean b36 = org.apache.commons.math.util.MathUtils.checkOrder(d_array10, orderDirection31, false, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException40 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number41 = nonMonotonousSequenceException40.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = nonMonotonousSequenceException40.getDirection();
    double[] d_array45 = new double[] { 0.0d, (-1.0d) };
    double[] d_array46 = new double[] {  };
    boolean b47 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array45, d_array46);
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array46, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection50 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array49, orderDirection50, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array55 = new double[] { (-1.0d) };
    double[] d_array58 = new double[] { 0.0d, (-1.0d) };
    double[] d_array59 = new double[] {  };
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array58, d_array59);
    double[] d_array62 = org.apache.commons.math.util.MathUtils.copyOf(d_array59, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection63 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array62, orderDirection63, false);
    boolean b66 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array55, d_array62);
    double d67 = org.apache.commons.math.util.MathUtils.distanceInf(d_array49, d_array55);
    double[][] d_array_array68 = new double[][] { d_array49 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array10, orderDirection42, d_array_array68);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array0, orderDirection1, d_array_array68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 0.2855843395711495d+ "'", number30.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 0.2855843395711495d+ "'", number41.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test083"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.5003180651426528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test084"); }


    long long2 = org.apache.commons.math.util.FastMath.max(637578266284939271L, (-637578266284939264L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 637578266284939271L);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(7.544137102816978d, 24.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1551270076468855E21d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test086"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6);
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 0);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException33 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number34 = nonMonotonousSequenceException33.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = nonMonotonousSequenceException33.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException37 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection35, false);
    boolean b40 = org.apache.commons.math.util.MathUtils.checkOrder(d_array24, orderDirection35, false, true);
    double d41 = org.apache.commons.math.util.MathUtils.distance(d_array6, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array43 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array24, 155.74607629780775d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 0.2855843395711495d+ "'", number34.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test087"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.013707783890401887d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = regulaFalsiSolver1.solve(17, univariateRealFunction3, 50.000325843080496d, 1.1125369292536007E-308d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test088"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array7 = new double[] { 0.0d, (-1.0d) };
    double[] d_array8 = new double[] {  };
    boolean b9 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array7, d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array11, orderDirection12, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 9);
    double d19 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException23 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number21, (-127));
    java.lang.Number number24 = nonMonotonousSequenceException23.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = nonMonotonousSequenceException23.getDirection();
    double[] d_array27 = new double[] { (-1.0d) };
    double[] d_array30 = new double[] { 0.0d, (-1.0d) };
    double[] d_array31 = new double[] {  };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection35, false);
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array34);
    double[] d_array41 = new double[] { 0.0d, (-1.0d) };
    double[] d_array42 = new double[] {  };
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array42);
    double[] d_array45 = org.apache.commons.math.util.MathUtils.copyOf(d_array42, 1);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array42);
    double d47 = org.apache.commons.math.util.MathUtils.safeNorm(d_array34);
    double[] d_array50 = new double[] { 0.0d, (-1.0d) };
    double[] d_array51 = new double[] {  };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array50, d_array51);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array51, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array56 = null;
    double d57 = org.apache.commons.math.util.MathUtils.distanceInf(d_array51, d_array56);
    double[] d_array59 = new double[] { (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, (-1.0d) };
    double[] d_array63 = new double[] {  };
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array63);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array63, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection67 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array66, orderDirection67, false);
    boolean b70 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array59, d_array66);
    double[] d_array73 = new double[] { 0.0d, (-1.0d) };
    double[] d_array74 = new double[] {  };
    boolean b75 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array73, d_array74);
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array74, 1);
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array66, d_array74);
    double d79 = org.apache.commons.math.util.MathUtils.distance1(d_array51, d_array66);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array66);
    double[] d_array82 = org.apache.commons.math.util.MathUtils.copyOf(d_array66, 0);
    double[][] d_array_array83 = new double[][] { d_array66 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array34, d_array_array83);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array18, orderDirection25, d_array_array83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array83);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test089"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.3552527E-20f, Float.NEGATIVE_INFINITY, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test090"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-1.8315662532804708d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2019103352148606d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test091"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-2105837645), (-1831740707));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test092"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-2));
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-135));
    incrementor0.setMaximalCount(1618271013);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test093"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)18.395148658052864d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test094"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.013707783890401887d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = regulaFalsiSolver1.solve((-2), univariateRealFunction3, 194.01453467426194d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test095"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int i8 = org.apache.commons.math.util.MathUtils.distanceInf(i_array1, i_array7);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array12 = new int[] { 1, 100 };
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array12, 0);
    int[] i_array15 = new int[] {  };
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    double d18 = org.apache.commons.math.util.MathUtils.distance(i_array14, i_array15);
    int[] i_array19 = new int[] {  };
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array21 = new int[] {  };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array23, 1);
    int i26 = org.apache.commons.math.util.MathUtils.distanceInf(i_array19, i_array25);
    int[] i_array27 = new int[] {  };
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array27);
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array28);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array29, 1);
    int i32 = org.apache.commons.math.util.MathUtils.distance1(i_array25, i_array31);
    int i33 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array31);
    double d34 = org.apache.commons.math.util.MathUtils.distance(i_array1, i_array31);
    // The following exception was thrown during execution in test generation
    try {
      int i35 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(28.03853339639669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 28.03853339639669d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test097"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(107, (-334386015));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test098"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.2527657176854956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test099"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0f, (-1.0E10f), 30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test100"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)(short)0, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, number3, obj_array7);
    java.lang.Throwable[] throwable_array10 = notFiniteNumberException9.getSuppressed();
    java.lang.Throwable[] throwable_array11 = notFiniteNumberException9.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test101"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(6L, (-637578266284905970L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test102"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-708.3964185322641d), 1.9427447911619198d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7054302418366416d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test103"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException1 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathArithmeticException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)(short)0, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable12, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)1.0E-6d, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)9.999999999732445E-7d, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)10000, obj_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathArithmeticException1, localizable3, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test104"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(9.536743E-7f, 7.105429E-15f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test105"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.8217189189268101d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test106"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.192804043812437d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test107"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5, 1);
    int i8 = org.apache.commons.math.util.MathUtils.distanceInf(i_array1, i_array7);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array7, 254);
    // The following exception was thrown during execution in test generation
    try {
      int i11 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test108"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.04022939026214322d, 944.8154734160571d, 0.9193611539565444d, 0.7771211630872612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 38.72380541502612d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test109"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test110"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(1.170699994990715E123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test111"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1618271013, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test112"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2.1592828834995985d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.159282883499598d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test113"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(4.806228933793789E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.002192311322279249d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test115"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(8604L, 366508800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3153441715200L);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test116"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-0.9999999999999999d));
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    java.lang.Number number4 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test117"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(4.7683713E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.7683713E-7f);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test118"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(1.2040878657705185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5168757049977977d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test119"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.414213562373095d, 155.74607629780775d, 0.7615941559557649d);
    double d4 = regulaFalsiSolver3.getRelativeAccuracy();
    double d5 = regulaFalsiSolver3.getStartValue();
    double d6 = regulaFalsiSolver3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test120"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-99.999985f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 99.999985f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.0110066207301556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017645394291202772d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.5597067734002287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5102650703528704d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(4.806217383937352E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test124"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-11), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-55));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test125"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-0.99999994f), 400.00003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test126"); }


    float[] f_array1 = new float[] { 1.0f };
    float[] f_array5 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array5);
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    float[] f_array15 = new float[] { 1.0f };
    float[] f_array19 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array19);
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array15);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array12);
    float[] f_array23 = null;
    boolean b24 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array23);
    float[] f_array25 = null;
    boolean b26 = org.apache.commons.math.util.MathUtils.equals(f_array23, f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test127"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-6.471749481519179d), 0.0d, 6.283185307179586d, 664.1699990002334d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test128"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.1920002E-7f, 1831740810);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.5643757075261355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test130"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.536744E-7f, 1.1920002E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test131"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.014686439244896978d);
    double d2 = regulaFalsiSolver1.getMax();
    double d3 = regulaFalsiSolver1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test132"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 0.0d, (-1.0d) };
    double[] d_array4 = new double[] {  };
    boolean b5 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array4);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array4, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array4);
    double[] d_array9 = null;
    double d10 = org.apache.commons.math.util.MathUtils.distanceInf(d_array4, d_array9);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double[] d_array26 = new double[] { 0.0d, (-1.0d) };
    double[] d_array27 = new double[] {  };
    boolean b28 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array26, d_array27);
    double[] d_array30 = org.apache.commons.math.util.MathUtils.copyOf(d_array27, 1);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array19, d_array27);
    double d32 = org.apache.commons.math.util.MathUtils.distance1(d_array4, d_array19);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double d34 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array0, d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test133"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.002764382751791275d, (java.lang.Number)1.6788783299134369d, false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test134"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d3 = regulaFalsiSolver1.getRelativeAccuracy();
    double d4 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d5 = regulaFalsiSolver1.getMax();
    int i6 = regulaFalsiSolver1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test135"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.718281828459045d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)9.999999999999999E-16d);
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)maxCountExceededException3);
    java.lang.Number number5 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2.718281828459045d+ "'", number5.equals(2.718281828459045d));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test136"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)(short)0, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, number11, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)(byte)10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array15);
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1506.0d, 1.2676506002282294E31d, (-0.5d), 0.561944392631307d, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = mathIllegalStateException21.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test137"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number1, (-127));
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)nonMonotonousSequenceException3);
    boolean b7 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.4177329943644723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9883086606614317d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test139"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(3.1816180627239765E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-108));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test140"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)6.676532015564395E12d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test141"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(3L, 396180L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8501300142281945489L);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test142"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.8248588692707672d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8248588692707672d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test143"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.8464641401965068d), 7.136022605514909d, 0.025676021633806948d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test144"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(11784.198666665105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test145"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(2.5961484E35f, 8.5899346E9f, 400918717);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test146"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.5848407486845835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test147"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test148"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(1433134112, (-2105837645));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-1260), 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test150"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.0d, 155.74610829489725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test151"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(1761216671, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test152"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(1.1276259652063807d, (-0.4081731003761089d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test153"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.9193611539565444d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test154"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 667519177);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 667519177);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 637578266284939271L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 4L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test155"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(38.60672430098386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.92184607072976E16d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test156"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 0.5102650703528704d, (-135));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test157"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(389, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test158"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2, (java.lang.Number)(-1.2235100593353487d), (-17033));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.0d, 525, (-390));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test160"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.99999994f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.36112072761641756d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test162"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)(short)0, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, number12, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)(byte)10, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)10, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)7.985582066875331d, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-4.440892098500626E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test164"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.5561093595420696d, 2.541847536487939d, 0.021176892700980946d, 0.37623361672720984d, 1.861727352400908E30d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.9633602009897686d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test165"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-640662489), 1831740810);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1831740810);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test166"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.734723475976807E-18d, 0.7303792970419981d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.734723475976807E-18d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test167"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.4210855E-14f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210855E-14f);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test168"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-17));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test169"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    double d4 = regulaFalsiSolver3.getMin();
    double d5 = regulaFalsiSolver3.getAbsoluteAccuracy();
    double d6 = regulaFalsiSolver3.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver14 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution18 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d19 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(183174081, univariateRealFunction13, bracketedUnivariateRealSolver14, 0.0d, 134.72866938110153d, 0.9036390632139698d, allowedSolution18);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = regulaFalsiSolver3.solve(126, univariateRealFunction8, 1.9855683087099187d, 1.8236906638952046d, 1344.0536711383008d, allowedSolution18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5132013751311266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test170"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(7.544137102816978d, 3.5156906751381873d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test171"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.2180280666000018d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test172"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(4.7683713E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.7683716E-7f);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test173"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array8 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array6, i_array12);
    int[] i_array14 = new int[] {  };
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array18, 1);
    int i21 = org.apache.commons.math.util.MathUtils.distanceInf(i_array14, i_array20);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array20);
    int i23 = org.apache.commons.math.util.MathUtils.distance1(i_array12, i_array22);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array12, (-170));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test174"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)(short)0, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, number11, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)(byte)10, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)10, obj_array15);
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array15);
    double d21 = noBracketingException20.getFLo();
    double d22 = noBracketingException20.getLo();
    double d23 = noBracketingException20.getFHi();
    java.lang.Throwable[] throwable_array24 = noBracketingException20.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0000005000001665E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.862436238624443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test175"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.0034288025234964752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-9));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test176"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator((-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test177"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-24), 10000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test179"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonousSequenceException3, localizable6, obj_array7);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = nonMonotonousSequenceException3.getDirection();
    java.lang.Number number10 = nonMonotonousSequenceException3.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.2855843395711495d+ "'", number4.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0.2855843395711495d+ "'", number10.equals(0.2855843395711495d));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test180"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { localizable5 };
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.0E-14d, 2.2250738585072014E-308d, 1.0d, 1.4711276743037347d, obj_array19);
    double d21 = noBracketingException20.getHi();
    double d22 = noBracketingException20.getLo();
    double d23 = noBracketingException20.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-14d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.010000001666666944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009950332503333372d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test182"); }


    long long1 = org.apache.commons.math.util.FastMath.round(4.4754057524099435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4L);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test183"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.8533469876428794d, 4.806228933793789E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test184"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.4711276743037345d, (-0.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test185"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.5132013751311266d);
    double d2 = regulaFalsiSolver1.getFunctionValueAccuracy();
    double d3 = regulaFalsiSolver1.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver1.solve(525, univariateRealFunction5, (-1.8315662532804708d), 0.4944685646290089d, 0.8373830985134536d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.log(588.4808307632261d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.377544353125173d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test187"); }


    int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(134, 297);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 39798);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test188"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm(3, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test189"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable15, (java.lang.Number)(short)0, obj_array18);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, number14, obj_array18);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, (java.lang.Number)(byte)10, obj_array18);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array18);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable9, obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 8.936085770210967E-6d, 6890.254020521428d, 0.19611987703015263d, (-1.2235100593353487d), obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test190"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(753631499840625L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test191"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(3379, 2334);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2085.7346397617684d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test192"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 0.15708647509883514d, 0.5921505669882385d, 4.7321409346765d, obj_array19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.7771211630872612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test194"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)38.60672430098386d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test195"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.04191575498332749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04191575498332749d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test196"); }


    int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(1, 1433134112);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1433134113);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.08452208748282004d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test198"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-2));
    incrementor0.resetCount();
    incrementor0.incrementCount((-10));
    incrementor0.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test199"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(361.28604379120407d, 11.979166666666668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4216142883762392d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test200"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.414213562373095d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.1920929E-7f, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-11L), obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)4.790016E8d, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test201"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(205.5576714989584d, 0.025676021633806948d, 7.709377377084365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test202"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 0);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException20 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number21 = nonMonotonousSequenceException20.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = nonMonotonousSequenceException20.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException24 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection22, false);
    boolean b27 = org.apache.commons.math.util.MathUtils.checkOrder(d_array11, orderDirection22, false, true);
    double d28 = org.apache.commons.math.util.MathUtils.safeNorm(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array30 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array11, 0.7120315662398814d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 0.2855843395711495d+ "'", number21.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-4.4754057524099435d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07811056574224766d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test204"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh(0.16639160327278127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0138750507998908d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test205"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-334386015), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test206"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.6324060938829745d, obj_array2);
    java.lang.Number number4 = maxCountExceededException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.6324060938829745d+ "'", number4.equals(0.6324060938829745d));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test207"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)136, (java.lang.Number)(short)1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 136+ "'", number4.equals(136));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)1+ "'", number5.equals((short)1));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test208"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)100);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test209"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence((-8.019109226244781d), 0.2320676036910985d, 0.5848407486845835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test210"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)3.5156906751381873d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test211"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.16271553501885383d, 0.6585338894642799d, (-0.2415644752704905d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test212"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-8.165938067121619d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test213"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)nonMonotonousSequenceException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.2855843395711495d+ "'", number4.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test214"); }


    long long1 = org.apache.commons.math.util.FastMath.round(13.387169281324777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 13L);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test215"); }


    long long2 = org.apache.commons.math.util.FastMath.max(8604L, (-5406537099369665671L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8604L);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test216"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign((-207834554227050011L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test217"); }


    int i2 = org.apache.commons.math.util.MathUtils.lcm(0, 17330);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test218"); }


    double[] d_array5 = new double[] { 0.0d, (-1.0d) };
    double[] d_array6 = new double[] {  };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array5, d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = null;
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array11);
    double[] d_array14 = new double[] { (-1.0d) };
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection22, false);
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array21);
    double[] d_array28 = new double[] { 0.0d, (-1.0d) };
    double[] d_array29 = new double[] {  };
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array28, d_array29);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array29, 1);
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array29);
    double d34 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array21);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException40 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number41 = nonMonotonousSequenceException40.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = nonMonotonousSequenceException40.getDirection();
    double[] d_array45 = new double[] { 0.0d, (-1.0d) };
    double[] d_array46 = new double[] {  };
    boolean b47 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array45, d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array35, orderDirection42, d_array_array48);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException51 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-808182895), (java.lang.Number)(-11L), 0, orderDirection42, true);
    java.lang.Number number52 = nonMonotonousSequenceException51.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 0.2855843395711495d+ "'", number41.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-808182895)+ "'", number52.equals((-808182895)));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.3449605876268304d, 0.6809714348143158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4844335564790996d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test220"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1490.4791612521778d, (-0.7282010813191766d));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(3.2019103352148606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06039093795588751d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test222"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, (-1694164043));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test223"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.4944685646290089d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test224"); }


    float[] f_array1 = new float[] { 1.0f };
    float[] f_array5 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array5);
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    float[] f_array15 = new float[] { 1.0f };
    float[] f_array19 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array19);
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array15);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array12);
    float[] f_array24 = new float[] { 1.0f };
    float[] f_array28 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array24, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array28);
    float[] f_array32 = new float[] { 1.0f };
    float[] f_array36 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array36);
    float[] f_array39 = new float[] { 1.0f };
    float[] f_array43 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array39, f_array43);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array39);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array32);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)f_array1);
    float[] f_array48 = null;
    float[] f_array50 = new float[] { 1.0f };
    float[] f_array54 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array50, f_array54);
    float[] f_array57 = new float[] { 1.0f };
    float[] f_array61 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array57, f_array61);
    boolean b63 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array54, f_array57);
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array54);
    float[] f_array66 = new float[] { 1.0f };
    float[] f_array70 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b71 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array66, f_array70);
    float[] f_array73 = new float[] { 1.0f };
    float[] f_array77 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array73, f_array77);
    float[] f_array80 = new float[] { 1.0f };
    float[] f_array84 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b85 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array80, f_array84);
    boolean b86 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array77, f_array80);
    boolean b87 = org.apache.commons.math.util.MathUtils.equals(f_array66, f_array77);
    boolean b88 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array54, f_array77);
    boolean b89 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test225"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException5 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number3, (-127));
    int i6 = nonMonotonousSequenceException5.getIndex();
    int i7 = nonMonotonousSequenceException5.getIndex();
    java.lang.Number number8 = nonMonotonousSequenceException5.getPrevious();
    java.lang.Number number9 = nonMonotonousSequenceException5.getPrevious();
    java.lang.Throwable[] throwable_array10 = nonMonotonousSequenceException5.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, number1, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test226"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 8, (-1975705753));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test227"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-207834554227050011L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-831338216908200044L));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test228"); }


    double[] d_array0 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection1 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection1, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection1);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test229"); }


    int i1 = org.apache.commons.math.util.FastMath.round(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test230"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 667519177);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 667519177);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 637578266284939271L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 667519177);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 667519177);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 637578266284939271L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, bigInteger22);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger29);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, (-1757542967));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test231"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test232"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)33191L);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test233"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.5277244953413643d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test234"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array2, 1);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 0);
    int[] i_array7 = new int[] {  };
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = new int[] {  };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int i12 = org.apache.commons.math.util.MathUtils.distanceInf(i_array9, i_array11);
    int i13 = org.apache.commons.math.util.MathUtils.distanceInf(i_array6, i_array9);
    int[] i_array14 = new int[] {  };
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array18, 1);
    int i21 = org.apache.commons.math.util.MathUtils.distanceInf(i_array14, i_array20);
    int[] i_array22 = new int[] {  };
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array23);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array24, 1);
    int i27 = org.apache.commons.math.util.MathUtils.distance1(i_array14, i_array26);
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 0);
    int[] i_array30 = new int[] {  };
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int i33 = org.apache.commons.math.util.MathUtils.distance1(i_array29, i_array31);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int[] i_array35 = new int[] {  };
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    int[] i_array37 = new int[] {  };
    int[] i_array38 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array38);
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array39, 1);
    int i42 = org.apache.commons.math.util.MathUtils.distanceInf(i_array35, i_array41);
    int[] i_array43 = new int[] {  };
    int[] i_array44 = org.apache.commons.math.util.MathUtils.copyOf(i_array43);
    int[] i_array45 = org.apache.commons.math.util.MathUtils.copyOf(i_array44);
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array45, 1);
    int i48 = org.apache.commons.math.util.MathUtils.distance1(i_array41, i_array47);
    int i49 = org.apache.commons.math.util.MathUtils.distanceInf(i_array31, i_array41);
    int i50 = org.apache.commons.math.util.MathUtils.distanceInf(i_array9, i_array31);
    int[] i_array51 = new int[] {  };
    int[] i_array52 = org.apache.commons.math.util.MathUtils.copyOf(i_array51);
    int[] i_array53 = org.apache.commons.math.util.MathUtils.copyOf(i_array52);
    int[] i_array55 = org.apache.commons.math.util.MathUtils.copyOf(i_array53, 1);
    int[] i_array57 = org.apache.commons.math.util.MathUtils.copyOf(i_array55, 0);
    int[] i_array58 = new int[] {  };
    int[] i_array59 = org.apache.commons.math.util.MathUtils.copyOf(i_array58);
    int[] i_array60 = org.apache.commons.math.util.MathUtils.copyOf(i_array59);
    int[] i_array61 = new int[] {  };
    int[] i_array62 = org.apache.commons.math.util.MathUtils.copyOf(i_array61);
    int i63 = org.apache.commons.math.util.MathUtils.distanceInf(i_array60, i_array62);
    int i64 = org.apache.commons.math.util.MathUtils.distanceInf(i_array57, i_array60);
    int i65 = org.apache.commons.math.util.MathUtils.distance1(i_array31, i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test235"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.03490658503988659d), 1.449827588495802d, (-3.798286317901415E-17d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test236"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.5921505669882385d, 0.3678794411714424d, 0.6439263329839022d, 3379);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test237"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(8.5899346E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test238"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)8.0d, number1, (-127));
    boolean b4 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test239"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 127, 7);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test240"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-1140342140));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test241"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 2.1592828834995985d, 1.9855683087099187d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test242"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(678.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 678.0d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.13366453412888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0647368379693078d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test244"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.9999930253396107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5573838330839889d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test245"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1618271013);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1618271013);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test246"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, (-136));
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math.exception.MathArithmeticException();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)mathArithmeticException3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = mathArithmeticException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException3.getContext();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathArithmeticException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test247"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(50.0d, 0.6065306597126334d, (-0.7157577699307488d), 0.0d, 0.0021923086880985794d, 1890.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 34.46999640613799d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test248"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-637578266284939264L));
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)155.74607629780775d);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)tooManyEvaluationsException3);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)tooManyEvaluationsException3);
    notPositiveException1.addSuppressed((java.lang.Throwable)tooManyEvaluationsException3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = tooManyEvaluationsException3.getContext();
    java.lang.Number number8 = tooManyEvaluationsException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 155.74607629780775d+ "'", number8.equals(155.74607629780775d));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test249"); }


    long long2 = org.apache.commons.math.util.FastMath.max(956L, 13L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 956L);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test250"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-1.5707963267948966d), (-29.634712992485582d), 0.04022939026214322d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test251"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 3.9633602009897686d, 0.9046745947530157d, 0.7765144277553725d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test252"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)11L, (java.lang.Number)400.00003f, true);
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooLargeException3.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test253"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test254"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.10452775557277671d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.10471820552963199d));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test255"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9046745947530157d, (java.lang.Number)0.1583874646364007d, 26162);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test256"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-342921600L), 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(38016, 34290000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(38.72380541502612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.681950640605646d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test259"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1146.0097650706662d, (-0.08452208748282004d), 1490.479161252178d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test260"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 1.6343823253524048d, 0.0d, 0.0d, 3.1816180627239765E-33d, 0.7771211630872612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.4725027294034954E-33d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test261"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(134.72866938110153d, 1.92810241181315E215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test262"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.7014117E38f, (java.lang.Number)0.09983407889920758d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test263"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 1550295474);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test264"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.281049675129735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-834157609));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test265"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.incrementCount((-136));
    int i3 = incrementor0.getCount();
    int i4 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-263));
    int i8 = incrementor0.getCount();
    int i9 = incrementor0.getMaximalCount();
    int i10 = incrementor0.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test266"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.2768545724143576d, (-0.8331149741818781d), 0.8970465182018712d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test267"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(7.105428E-15f, 2.296E-41f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test268"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.048000081325158074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test269"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(6.3611093629270335E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000064d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test270"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d3 = regulaFalsiSolver1.getMin();
    double d4 = regulaFalsiSolver1.getStartValue();
    double d5 = regulaFalsiSolver1.getMax();
    double d6 = regulaFalsiSolver1.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution11 = org.apache.commons.math.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = regulaFalsiSolver1.solve(183174081, univariateRealFunction8, 0.0d, 3.93701766912696d, allowedSolution11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution11);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test271"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(945L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test272"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-637578266284905970L), (-47L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test273"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-0.4081731003761089d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test274"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(362880L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 362880L);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test275"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.5132013751311265d, 1.0E-323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test276"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(400, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 44.69683157399258d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test277"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.9937628270596887d), 0.0d, 525);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test278"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.0048904790018525d, 0.0069136121251200154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0069136121251200154d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test279"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)205.73098231803883d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test280"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection15, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array20 = new double[] { (-1.0d) };
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array27, orderDirection28, false);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array27);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array20);
    double[] d_array34 = new double[] { (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array41);
    double[] d_array48 = new double[] { 0.0d, (-1.0d) };
    double[] d_array49 = new double[] {  };
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array49);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array49, 1);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array49);
    boolean b54 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array41);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array20);
    int i56 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double d57 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    double[] d_array59 = new double[] { (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, (-1.0d) };
    double[] d_array63 = new double[] {  };
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array63);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array63, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection67 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array66, orderDirection67, false);
    boolean b70 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array59, d_array66);
    double[] d_array73 = new double[] { 0.0d, (-1.0d) };
    double[] d_array74 = new double[] {  };
    boolean b75 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array73, d_array74);
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array74, 1);
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array66, d_array74);
    double d79 = org.apache.commons.math.util.MathUtils.safeNorm(d_array66);
    double[] d_array81 = org.apache.commons.math.util.MathUtils.copyOf(d_array66, 9);
    boolean b82 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array6, d_array66);
    double[] d_array85 = new double[] { 0.0d, (-1.0d) };
    double[] d_array86 = new double[] {  };
    boolean b87 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array85, d_array86);
    // The following exception was thrown during execution in test generation
    try {
      double d88 = org.apache.commons.math.util.MathUtils.distance(d_array66, d_array86);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test281"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(33303L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 33303L);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test282"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 667519177);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 667519177);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 637578266284939271L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 667519177);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 667519177);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 637578266284939271L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, bigInteger22);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger29);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-550));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test283"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(2.0d, (-0.0d), 2.718281828459045d);
    int i4 = regulaFalsiSolver3.getEvaluations();
    double d5 = regulaFalsiSolver3.getAbsoluteAccuracy();
    int i6 = regulaFalsiSolver3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test284"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)496.40547848721775d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test285"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1694164056), 7);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1694164056)+ "'", number4.equals((-1694164056)));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test286"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.1920002E-7f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920002E-7f);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test287"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)(short)0, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, number11, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)(byte)10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)7.6293945E-6f, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.1774215933195176d, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-709.0895657128241d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test289"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.6809714348143157d, 0.0d, 0.0d);
    double d4 = regulaFalsiSolver3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test290"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-11L), 1975705753);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8254515218771550869L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test291"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array11 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, (-1.0d) };
    double[] d_array15 = new double[] {  };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array18);
    double[] d_array25 = new double[] { 0.0d, (-1.0d) };
    double[] d_array26 = new double[] {  };
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26, 1);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array26);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array18);
    double d33 = org.apache.commons.math.util.MathUtils.safeNorm(d_array18);
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array36 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array18, 8.683317618811995E36d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 31);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test292"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-2147483639));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test293"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 9.999999999999999E-16d);
    double d3 = regulaFalsiSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver2.solve(0, univariateRealFunction5, 0.5558738409986911d, 311.4953629162785d, 90.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test294"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(109L, (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 120L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test295"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array26 = new double[] { (-1.0d) };
    double[] d_array29 = new double[] { 0.0d, (-1.0d) };
    double[] d_array30 = new double[] {  };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array29, d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection34 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection34, false);
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array26, d_array33);
    double[] d_array40 = new double[] { 0.0d, (-1.0d) };
    double[] d_array41 = new double[] {  };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array41);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array41, 1);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array41);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array33);
    double[] d_array49 = new double[] { 100.0d, 10.0d };
    double d50 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array49);
    double[] d_array53 = new double[] { 0.0d, (-1.0d) };
    double[] d_array54 = new double[] {  };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array53, d_array54);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = null;
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array54, d_array59);
    double[] d_array62 = new double[] { (-1.0d) };
    double[] d_array65 = new double[] { 0.0d, (-1.0d) };
    double[] d_array66 = new double[] {  };
    boolean b67 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array65, d_array66);
    double[] d_array69 = org.apache.commons.math.util.MathUtils.copyOf(d_array66, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection70 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array69, orderDirection70, false);
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array69);
    double[] d_array76 = new double[] { 0.0d, (-1.0d) };
    double[] d_array77 = new double[] {  };
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array76, d_array77);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array77, 1);
    boolean b81 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array69, d_array77);
    double d82 = org.apache.commons.math.util.MathUtils.distance1(d_array54, d_array69);
    double[] d_array83 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double[] d_array84 = org.apache.commons.math.util.MathUtils.copyOf(d_array83);
    boolean b85 = org.apache.commons.math.util.MathUtils.equals(d_array33, d_array83);
    double[] d_array87 = new double[] { (-1.0d) };
    double[] d_array90 = new double[] { 0.0d, (-1.0d) };
    double[] d_array91 = new double[] {  };
    boolean b92 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array90, d_array91);
    double[] d_array94 = org.apache.commons.math.util.MathUtils.copyOf(d_array91, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection95 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array94, orderDirection95, false);
    boolean b98 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array87, d_array94);
    double d99 = org.apache.commons.math.util.MathUtils.distanceInf(d_array33, d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == 1.0d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(38.60672430098386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.213430960506752d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test297"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(2147483639, (-93500));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test298"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection22, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double[] d_array27 = new double[] { (-1.0d) };
    double[] d_array30 = new double[] { 0.0d, (-1.0d) };
    double[] d_array31 = new double[] {  };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection35, false);
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array34);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array27);
    double[] d_array41 = new double[] { (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, (-1.0d) };
    double[] d_array45 = new double[] {  };
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array44, d_array45);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array45, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection49 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array48, orderDirection49, false);
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array48);
    double[] d_array55 = new double[] { 0.0d, (-1.0d) };
    double[] d_array56 = new double[] {  };
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array55, d_array56);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array56, 1);
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array56);
    boolean b61 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array48);
    double d62 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array27);
    boolean b63 = org.apache.commons.math.util.MathUtils.equals(d_array3, d_array13);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array64);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array67 = org.apache.commons.math.util.MathUtils.copyOf(d_array64, (-1643854089));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test299"); }


    double[] d_array0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException4 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number2, (-127));
    java.lang.String str5 = nonMonotonousSequenceException4.toString();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection6 = nonMonotonousSequenceException4.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = org.apache.commons.math.util.MathUtils.checkOrder(d_array0, orderDirection6, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"+ "'", str5.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test300"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 0.37623361672720984d, 1.2696195379829567d, (-5349.468901914492d), 0.0034288025234964757d, 205.5576714989584d, 4.806217383937352E-6d, 2.603615667988359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-6791.0854065265685d));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test301"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0000001f, (java.lang.Number)1.1551270076468855E21d, true);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.33676410302686755d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.057242970653102d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test303"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array14);
    double d20 = noBracketingException19.getFLo();
    double d21 = noBracketingException19.getLo();
    double d22 = noBracketingException19.getHi();
    double d23 = noBracketingException19.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0000005000001665E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-6d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test304"); }


    long long2 = org.apache.commons.math.util.MathUtils.lcm((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test305"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.192E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test306"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-0.061549313615373746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.249093884862547d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.22049321393830057d));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test308"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.3056875667234596d, 24.189474178129547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.012636541553020362d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.2391398122732624E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2391398122732626E-31d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test310"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-323.3062153431158d), 0.9989644626435046d, (-1.5468719118055498E29d), 1.3385455431502078d, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-323.3062153431158d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test311"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array14);
    double d20 = noBracketingException19.getFLo();
    double d21 = noBracketingException19.getFHi();
    double d22 = noBracketingException19.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.862436238624443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0000005000001665E-6d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.0110066207301556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1922568258787325d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test313"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.9173653802038879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.82171891892681d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test314"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, number1, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test315"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.9193611539565444d, (-0.7157577699307488d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test316"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.8236906639d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3504409146275151d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test317"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d4 = regulaFalsiSolver3.getAbsoluteAccuracy();
    double d5 = regulaFalsiSolver3.getMin();
    int i6 = regulaFalsiSolver3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-307.6526555685888d));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test319"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1922568258787325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test320"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection25, false);
    double[] d_array30 = new double[] { 0.0d, (-1.0d) };
    double[] d_array31 = new double[] {  };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection35, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array34);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array34, 9);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34);
    double d43 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test321"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.5643757075261355d, 0.16639160327278127d, 0.10599184657662994d);
    double d4 = regulaFalsiSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.16639160327278127d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.517223314602415d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5688807151378873d));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test323"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.01f, (-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test324"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.7737406216389929d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test325"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-708.3964185322641d), 49.9147767409927d);
    double d3 = regulaFalsiSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test326"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(400.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test327"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(400.00003f, 0.018859024680430627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 400.0f);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test328"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(7.105429E-15f, 100.00001f, 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test329"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.4216142883762392d, 0.352513421777619d, 0.0d, 0.8686709614860095d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.3754263876852615d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test331"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(3.368413472834951E29d, 6.377544353125173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test332"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(2.154434690031884d, 0.7615941559557649d);
    double d3 = regulaFalsiSolver2.getAbsoluteAccuracy();
    double d4 = regulaFalsiSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver12 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution16 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d17 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-11), univariateRealFunction11, bracketedUnivariateRealSolver12, 4.6050701709847575d, 2.140038366197238d, 1.4893943422686007d, allowedSolution16);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = regulaFalsiSolver2.solve(26162, univariateRealFunction6, 0.8373830985134536d, 0.02898631168861243d, (-0.4161468365471424d), allowedSolution16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.7615941559557649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.7615941559557649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 4.6050701709847575d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.014687495249364387d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01468696718448699d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test334"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)(short)0, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test335"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.92810241181315E215d, 0.10599184657662994d, 7.709377377084365d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test336"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection25, false);
    double d28 = org.apache.commons.math.util.MathUtils.safeNorm(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-607.0382013307475d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-607.0382013307474d));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test338"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-1140342140));
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(9.067661995777765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.067661995777767d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test340"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.10452775557277671d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test341"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-99.999985f), (-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.999985f));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test342"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.5157411147739548d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test343"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-0.8331149741818781d));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test344"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(0L, 8254515218771550869L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8254515218771550869L);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test345"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.8248588692707672d, 4.957814643022025E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test346"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5132013751311265d, 49.91477674099271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5132013751311266d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.07510173476019087d), (-29.634712992485582d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.139058410251528d));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test348"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.0f, (-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test349"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)3.141592653589793d, (java.lang.Number)(-135), true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test350"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.4893943422686007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9120394448532271d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test351"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)7.544137102816975d);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)(short)0, obj_array20);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable15, number16, obj_array20);
    java.lang.Throwable[] throwable_array23 = notFiniteNumberException22.getSuppressed();
    java.lang.Throwable[] throwable_array24 = notFiniteNumberException22.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable10, 1.3754263876852615d, 0.37623361672720984d, 1.3754263876852615d, 3.141592653589793d, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 8923.592847586888d, 0.9757961574403916d, (-1.5707963267948966d), 1.2391398122732624E-31d, (java.lang.Object[])throwable_array24);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable4, (java.lang.Object[])throwable_array24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable3, (java.lang.Object[])throwable_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test352"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(1.1940688187363215d, 1.232368004360774d, 1.2217538744208285d, 345208.3872708208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 421761.15616289835d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test353"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(99.99999f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.addAndCheck(1694164056, 1433134113);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test355"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6071.2804129444585d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test356"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign((-1.3968770272493953E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(9.534733591989577d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test358"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test359"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(44.69683157399258d, (-0.8464641401965068d), (-0.4342944819032518d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test360"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.6655280485429236d), 2.494454332868134d, 1.1672953518173834d, 0.025676021633806948d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.6655280485429236d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(11.979166666666668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 79699.57132416441d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test362"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array12 = new double[] { 0.0d, (-1.0d) };
    double[] d_array13 = new double[] {  };
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array13);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array13, 1);
    double d17 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 10000);
    double d20 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    double[] d_array22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d23 = org.apache.commons.math.util.MathUtils.linearCombination(d_array19, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test363"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(664.1699990002334d, (-0.014086798819114657d), 2.1592828834995985d, 0.014687495249364387d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test364"); }


    long long2 = org.apache.commons.math.util.FastMath.min(33303L, 55L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 55L);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test365"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.352513421777619d, 0, (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.4944685646290089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4944685646290089d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test367"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(6071.2804129444585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test368"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.4893943422686007d, (-0.13476983933776507d), 1.1672953518173834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test369"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(6.3611093629270335E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-48));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test370"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(120.70619364507165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test371"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(4.531816511660613E215d, 4.6050701709847575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test372"); }


    double[] d_array1 = new double[] { (-1.0d) };
    double[] d_array4 = new double[] { 0.0d, (-1.0d) };
    double[] d_array5 = new double[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array4, d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8, orderDirection9, false);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array8);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8);
    double[] d_array16 = new double[] { (-1.0d) };
    double[] d_array19 = new double[] { 0.0d, (-1.0d) };
    double[] d_array20 = new double[] {  };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array19, d_array20);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array20, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection24 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array23, orderDirection24, false);
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array23);
    double[] d_array30 = new double[] { 0.0d, (-1.0d) };
    double[] d_array31 = new double[] {  };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 1);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array31);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException42 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number43 = nonMonotonousSequenceException42.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection44 = nonMonotonousSequenceException42.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException46 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection44, false);
    boolean b49 = org.apache.commons.math.util.MathUtils.checkOrder(d_array23, orderDirection44, false, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException53 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number54 = nonMonotonousSequenceException53.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection55 = nonMonotonousSequenceException53.getDirection();
    double[] d_array58 = new double[] { 0.0d, (-1.0d) };
    double[] d_array59 = new double[] {  };
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array58, d_array59);
    double[] d_array62 = org.apache.commons.math.util.MathUtils.copyOf(d_array59, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection63 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array62, orderDirection63, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    double[] d_array68 = new double[] { (-1.0d) };
    double[] d_array71 = new double[] { 0.0d, (-1.0d) };
    double[] d_array72 = new double[] {  };
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array71, d_array72);
    double[] d_array75 = org.apache.commons.math.util.MathUtils.copyOf(d_array72, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection76 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array75, orderDirection76, false);
    boolean b79 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array68, d_array75);
    double d80 = org.apache.commons.math.util.MathUtils.distanceInf(d_array62, d_array68);
    double[][] d_array_array81 = new double[][] { d_array62 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array23, orderDirection55, d_array_array81);
    double[][] d_array_array83 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array8, orderDirection55, d_array_array83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number43 + "' != '" + 0.2855843395711495d+ "'", number43.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + 0.2855843395711495d+ "'", number54.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test373"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-2), 7793427093719742475L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test374"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)(short)0, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, number12, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)(byte)10, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)9.332621544395286E157d, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 0.37623361672720984d, 1.5351462338700086d, 0.08482562700503567d, 120.70619364507165d, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)183174081, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)405.622296161145d, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test375"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.4944685646290089d), 0.1d, (-0.33676410302686755d), 1.4711276743000001d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4944685646290089d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test376"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-7.28841902419192d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test377"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(667519177, 637578266284939271L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 869987513);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.232368004360774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8030629074341504d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test379"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(0, (-11L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(3.99168E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963017427882d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0666911989663693E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.7971744532679826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7971744532679826d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test383"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.incrementCount((-136));
    int i3 = incrementor0.getCount();
    incrementor0.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test384"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.6940659E-21f);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test385"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(1.290339164719765E49d, 155.74610829489725d, (-0.8464641401965068d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test386"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(194.01453467426194d, 3.386192426790575d, 4.7321409346765d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = regulaFalsiSolver3.solve((-1861424100), univariateRealFunction5, 0.0d, (-0.08782851474047786d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test387"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-6791.0854065265685d), 0.5862171818239679d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test388"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-550));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test389"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(45.0d, 1.6451695656974876d, 0.2378598598889267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test390"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(3629999L, 1975705753);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5181947010919151569L));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test391"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-3.798286317901415E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test392"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)13L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test393"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)297, (java.lang.Number)1.0000001E10f, true);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test394"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array13, orderDirection14, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 0);
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array20);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = org.apache.commons.math.util.MathUtils.checkOrder(d_array3, orderDirection22, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test395"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, (-3.471192166294801d), 0.6809714348143157d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = regulaFalsiSolver3.solve(0, univariateRealFunction5, 54111.72098221809d, 1.60075608E10d, 1.569690402594255d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test396"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.lcm(111L, (-637578266284939263L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test397"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.861727352400908E28d, 1.238749439456798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test398"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)5.512379976d, (java.lang.Number)155.74607629780772d, (-2105837645));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test399"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.569690402594255d, 1.0E-323d, (-708.3964185322641d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.9958400353993393E7d, 2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9958400353993393E7d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test401"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-9.999999E9f), (-0.21907946060694616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999998E9f));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.3754263876852615d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test403"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-40304L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(13L, (-135));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test405"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-12), (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test406"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1291375114));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1291375114);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test407"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)(short)0, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)1.0E-6d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)9.999999999732445E-7d, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, number6, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.3762336167272099d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.0E-6d, obj_array15);
    java.lang.Number number24 = maxCountExceededException23.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 1.0E-6d+ "'", number24.equals(1.0E-6d));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test408"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(1.2527657176854956d, 26162);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2527657176854956d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test409"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array8 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array12);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 0);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int i19 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array21 = new int[] {  };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array23 = new int[] {  };
    int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array23);
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array25, 1);
    int i28 = org.apache.commons.math.util.MathUtils.distanceInf(i_array21, i_array27);
    int[] i_array29 = new int[] {  };
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array29);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array31, 1);
    int i34 = org.apache.commons.math.util.MathUtils.distance1(i_array27, i_array33);
    int i35 = org.apache.commons.math.util.MathUtils.distanceInf(i_array17, i_array27);
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array27);
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test410"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)297);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.16069025363698664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9871170782305544d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test412"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.5132013751311266d);
    double d2 = regulaFalsiSolver1.getFunctionValueAccuracy();
    double d3 = regulaFalsiSolver1.getStartValue();
    double d4 = regulaFalsiSolver1.getMin();
    int i5 = regulaFalsiSolver1.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = regulaFalsiSolver1.solve((-1457), univariateRealFunction7, 0.2320676036910985d, 1.0E-323d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(155.74607629780772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.479826773549693d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.16069025363698664d, (-24), (-20));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test415"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)3628803L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test416"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d3 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d4 = regulaFalsiSolver1.getMax();
    double d5 = regulaFalsiSolver1.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver12 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution16 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d17 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(183174081, univariateRealFunction11, bracketedUnivariateRealSolver12, 0.0d, 134.72866938110153d, 0.9036390632139698d, allowedSolution16);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = regulaFalsiSolver1.solve((-2021038273), univariateRealFunction7, 0.04191575498332749d, 6.516861609965511E-4d, allowedSolution16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test417"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(136, (-1643854089));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1643854225);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.1507582477615506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8920777333520558d));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test419"); }


    float[] f_array1 = new float[] { 1.0f };
    float[] f_array5 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array5);
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    float[] f_array15 = new float[] { 1.0f };
    float[] f_array19 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array19);
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array15);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array12);
    float[] f_array24 = new float[] { 1.0f };
    float[] f_array28 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array24, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array28);
    float[] f_array32 = new float[] { 1.0f };
    float[] f_array36 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array36);
    float[] f_array39 = new float[] { 1.0f };
    float[] f_array43 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array39, f_array43);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array39);
    boolean b46 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array39);
    float[] f_array47 = null;
    boolean b48 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test420"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-9L), 3629999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test421"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.1472130839517565d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.742712496873522E-39d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test422"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(4.355614296588012E25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test423"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1, 8604L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test424"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.140038366197238d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test425"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.4944685646290089d, 0.4515259118935525d, 25832.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test426"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    int i4 = regulaFalsiSolver3.getMaxEvaluations();
    double d5 = regulaFalsiSolver3.getMax();
    double d6 = regulaFalsiSolver3.getFunctionValueAccuracy();
    double d7 = regulaFalsiSolver3.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = regulaFalsiSolver3.solve(128, univariateRealFunction9, 0.06039093795588751d, 0.013707783890401887d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test427"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.16795320929527568d, 1.0000005000001665E-6d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test428"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(405.622296161145d, 0.6308251500875482d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test429"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(2.220446049250313E-16d, 159);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.220446049250313E-16d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test430"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1000L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1000L);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test431"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-637578266284939271L), (java.lang.Number)(-607.0382013307474d), false);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test432"); }


    java.lang.Number number1 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException9 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number7, (-127));
    java.lang.Number number10 = nonMonotonousSequenceException9.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection11 = nonMonotonousSequenceException9.getDirection();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = nonMonotonousSequenceException9.getContext();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection13 = nonMonotonousSequenceException9.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException15 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)3.368413472834951E29d, (java.lang.Number)3.6787944117144235E-15d, 136, orderDirection13, true);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException17 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.4368314419837989d, number1, 183174081, orderDirection13, false);
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)nonMonotonousSequenceException17);
    java.lang.Throwable[] throwable_array19 = nonMonotonousSequenceException17.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test433"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-5.742332327445421E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test434"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.2855843395711495d, 4.440892098500626E-16d, 0.025676021633806948d);
    double d4 = regulaFalsiSolver3.getMin();
    double d5 = regulaFalsiSolver3.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = regulaFalsiSolver3.solve(30, univariateRealFunction7, 1.5707963017427882d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test435"); }


    long long2 = org.apache.commons.math.util.FastMath.max(729L, 366508800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 366508800L);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test436"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.8217189189268101d, (-48));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.9193320434004383E-15d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test437"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.5561093595420696d, (-8.267730288839E12d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test438"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.0817295550755226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test439"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1140342140), (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-4));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test440"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(667519177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test441"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1890.0d, (-0.6821450557667132d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1890.0d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test442"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.10599184657662994d, (-0.7282010813191766d), 6.676532015564395E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test443"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math.util.MathUtils.factorial(126);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test445"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0365308393115815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.26948307496993273d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test446"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)(short)0, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable3, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.18626406438578358d, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test447"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.290339164719765E49d, 2.2737367544323206E-13d, 50.00032584308049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-50.00032584308049d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test448"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.9814049455173911d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test449"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.45775586873273216d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test451"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array6, 254);
    int[] i_array10 = new int[] {  };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array12 = new int[] {  };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int i17 = org.apache.commons.math.util.MathUtils.distanceInf(i_array10, i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array21 = new int[] { 1, 100 };
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array21, 0);
    int[] i_array24 = new int[] {  };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    double d27 = org.apache.commons.math.util.MathUtils.distance(i_array23, i_array24);
    int[] i_array28 = new int[] {  };
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array28);
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array29);
    int i31 = org.apache.commons.math.util.MathUtils.distanceInf(i_array23, i_array30);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int i33 = org.apache.commons.math.util.MathUtils.distanceInf(i_array18, i_array30);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array18);
    int[] i_array35 = new int[] {  };
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    int[] i_array37 = new int[] {  };
    int[] i_array38 = org.apache.commons.math.util.MathUtils.copyOf(i_array37);
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array38);
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array39, 1);
    int i42 = org.apache.commons.math.util.MathUtils.distanceInf(i_array35, i_array41);
    int[] i_array43 = new int[] {  };
    int[] i_array44 = org.apache.commons.math.util.MathUtils.copyOf(i_array43);
    int[] i_array45 = org.apache.commons.math.util.MathUtils.copyOf(i_array44);
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array45, 1);
    int i48 = org.apache.commons.math.util.MathUtils.distance1(i_array35, i_array47);
    int[] i_array50 = org.apache.commons.math.util.MathUtils.copyOf(i_array35, 0);
    int[] i_array51 = new int[] {  };
    int[] i_array52 = org.apache.commons.math.util.MathUtils.copyOf(i_array51);
    int[] i_array53 = org.apache.commons.math.util.MathUtils.copyOf(i_array52);
    int i54 = org.apache.commons.math.util.MathUtils.distance1(i_array50, i_array52);
    int[] i_array55 = org.apache.commons.math.util.MathUtils.copyOf(i_array52);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)i_array55);
    int i57 = org.apache.commons.math.util.MathUtils.distanceInf(i_array18, i_array55);
    int[] i_array58 = new int[] {  };
    int[] i_array59 = org.apache.commons.math.util.MathUtils.copyOf(i_array58);
    int[] i_array60 = org.apache.commons.math.util.MathUtils.copyOf(i_array59);
    int[] i_array61 = new int[] {  };
    int[] i_array62 = org.apache.commons.math.util.MathUtils.copyOf(i_array61);
    int i63 = org.apache.commons.math.util.MathUtils.distanceInf(i_array60, i_array62);
    int[] i_array64 = new int[] {  };
    int[] i_array65 = org.apache.commons.math.util.MathUtils.copyOf(i_array64);
    int[] i_array66 = new int[] {  };
    int[] i_array67 = org.apache.commons.math.util.MathUtils.copyOf(i_array66);
    int[] i_array68 = org.apache.commons.math.util.MathUtils.copyOf(i_array67);
    int[] i_array70 = org.apache.commons.math.util.MathUtils.copyOf(i_array68, 1);
    int i71 = org.apache.commons.math.util.MathUtils.distanceInf(i_array64, i_array70);
    int[] i_array72 = new int[] {  };
    int[] i_array73 = org.apache.commons.math.util.MathUtils.copyOf(i_array72);
    int[] i_array74 = org.apache.commons.math.util.MathUtils.copyOf(i_array73);
    int[] i_array76 = org.apache.commons.math.util.MathUtils.copyOf(i_array74, 1);
    int i77 = org.apache.commons.math.util.MathUtils.distance1(i_array64, i_array76);
    int i78 = org.apache.commons.math.util.MathUtils.distance1(i_array62, i_array64);
    int i79 = org.apache.commons.math.util.MathUtils.distance1(i_array55, i_array64);
    // The following exception was thrown during execution in test generation
    try {
      int i80 = org.apache.commons.math.util.MathUtils.distance1(i_array9, i_array64);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test452"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.8686709614860095d, 1.861727352400908E30d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.8236906638952046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8236906638952046d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test454"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(40.0f, 2.296E-41f, 667519177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test455"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1920002E-7f, (java.lang.Number)(-4.440892098500626E-16d), true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test456"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array13, orderDirection14, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 0);
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array20);
    double[] d_array24 = new double[] { 0.0d, (-1.0d) };
    double[] d_array25 = new double[] {  };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[] d_array30 = null;
    double d31 = org.apache.commons.math.util.MathUtils.distanceInf(d_array25, d_array30);
    double[] d_array34 = new double[] { 0.0d, (-1.0d) };
    double[] d_array35 = new double[] {  };
    boolean b36 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array35);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array35, 1);
    double d39 = org.apache.commons.math.util.MathUtils.distance1(d_array25, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 10000);
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array38);
    double[] d_array45 = new double[] { 0.0d, (-1.0d) };
    double[] d_array46 = new double[] {  };
    boolean b47 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array45, d_array46);
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array46, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array53 = new double[] { 0.0d, (-1.0d) };
    double[] d_array54 = new double[] {  };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array53, d_array54);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    double d59 = org.apache.commons.math.util.MathUtils.distance1(d_array49, d_array57);
    double[] d_array61 = org.apache.commons.math.util.MathUtils.copyOf(d_array49, 134);
    double d62 = org.apache.commons.math.util.MathUtils.safeNorm(d_array61);
    double d63 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array61);
    double[] d_array66 = new double[] { 0.0d, (-1.0d) };
    double[] d_array67 = new double[] {  };
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array66, d_array67);
    double[] d_array70 = org.apache.commons.math.util.MathUtils.copyOf(d_array67, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection71 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array70, orderDirection71, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array70);
    double[] d_array75 = org.apache.commons.math.util.MathUtils.copyOf(d_array70);
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array70, 9);
    double[] d_array78 = org.apache.commons.math.util.MathUtils.copyOf(d_array77);
    boolean b79 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test457"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)(short)0, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(byte)10, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable2, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = mathArithmeticException17.getContext();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.414213562373095d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.1920929E-7f, obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-11L), obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)10000, obj_array24);
    mathArithmeticException17.addSuppressed((java.lang.Throwable)notFiniteNumberException28);
    java.lang.Number number30 = notFiniteNumberException28.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 10000+ "'", number30.equals(10000));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test458"); }


    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException6 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number4, (-127));
    int i7 = nonMonotonousSequenceException6.getIndex();
    boolean b8 = nonMonotonousSequenceException6.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = nonMonotonousSequenceException6.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException11 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.10433833946610144d), (java.lang.Number)4.80621738397436E-6d, (-808182895), orderDirection9, false);
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException15 = new org.apache.commons.math.exception.NumberIsTooLargeException(number12, (java.lang.Number)159, false);
    nonMonotonousSequenceException11.addSuppressed((java.lang.Throwable)numberIsTooLargeException15);
    java.lang.Number number17 = numberIsTooLargeException15.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 159+ "'", number17.equals(159));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test459"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, (-0.07503123512945999d), 2.291904389205115d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test460"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-2.4492935982947064E-16d), (java.lang.Number)0.15708647509883514d, true);
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException7 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)1.3754263876852615d, number5, 4);
    boolean b8 = nonMonotonousSequenceException7.getStrict();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)nonMonotonousSequenceException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test461"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 1975705753, (-6));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test462"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, 9.536744E-7f, (-9.999999E9f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test463"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0141205E29f, 2.5961484E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5961484E35f);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test464"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0365308393115815d, 0.4888215571389728d, (-1.2384169964551002d));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test465"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-109L), 824);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7541472714284124641L);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test466"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d3 = regulaFalsiSolver1.getMin();
    double d4 = regulaFalsiSolver1.getStartValue();
    double d5 = regulaFalsiSolver1.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210854715202004E-14d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.log(7.751207598924413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0478486504427558d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test469"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(128, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test470"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0000001E10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 33);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test471"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-8.019109226244781d), 0.5157411147739548d, 1.2040878657705185d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test472"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)(short)0, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, number5, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(byte)10, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathArithmeticException14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test473"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0547118733938987E-15d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test474"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.2040878657705185d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.08805539769187831d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test476"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(4.836281906951478d, 2.9193320434004383E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test477"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(444.1114815481014d, 0.3403473416778734d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test478"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(0.0f, 26162, 254);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test479"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array11 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, (-1.0d) };
    double[] d_array15 = new double[] {  };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array18);
    double[] d_array25 = new double[] { 0.0d, (-1.0d) };
    double[] d_array26 = new double[] {  };
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26, 1);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array26);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array34 = new double[] { 0.0d, (-1.0d) };
    double[] d_array35 = new double[] {  };
    boolean b36 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array35);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array35, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection39 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array38, orderDirection39, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    double[] d_array44 = new double[] { (-1.0d) };
    double[] d_array47 = new double[] { 0.0d, (-1.0d) };
    double[] d_array48 = new double[] {  };
    boolean b49 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array48);
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array48, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection52 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array51, orderDirection52, false);
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array44, d_array51);
    double d56 = org.apache.commons.math.util.MathUtils.distanceInf(d_array38, d_array44);
    double[] d_array58 = new double[] { (-1.0d) };
    double[] d_array61 = new double[] { 0.0d, (-1.0d) };
    double[] d_array62 = new double[] {  };
    boolean b63 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array61, d_array62);
    double[] d_array65 = org.apache.commons.math.util.MathUtils.copyOf(d_array62, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection66 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array65, orderDirection66, false);
    boolean b69 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array58, d_array65);
    double[] d_array72 = new double[] { 0.0d, (-1.0d) };
    double[] d_array73 = new double[] {  };
    boolean b74 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array72, d_array73);
    double[] d_array76 = org.apache.commons.math.util.MathUtils.copyOf(d_array73, 1);
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array65, d_array73);
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array44, d_array65);
    double[] d_array81 = new double[] { 100.0d, 10.0d };
    double d82 = org.apache.commons.math.util.MathUtils.distance(d_array65, d_array81);
    boolean b83 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array65);
    double[] d_array84 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test480"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.6308251500875482d, 0.3157815004097686d, (-709.0895657128241d), (-3.471192166294801d), obj_array19);
    double d26 = noBracketingException25.getHi();
    double d27 = noBracketingException25.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.3157815004097686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == (-3.471192166294801d));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test481"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    java.lang.Throwable[] throwable_array17 = notFiniteNumberException16.getSuppressed();
    java.lang.Throwable[] throwable_array18 = notFiniteNumberException16.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 1506.4347384870243d, 9.999999999732445E-7d, 3.2911305755500483E-4d, 0.0d, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test482"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(956L, (-831338216908200044L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test483"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.014687495249364413d, (-0.10471820552963199d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.555800631376535d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test484"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.6324060938829745d, 0.0d, 1433134112);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(2070.939881786654d, 1146.0097650706662d, 1.4711276743037347d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test486"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-11L), 3628803L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 842095128347033293L);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test487"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection14 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array13, orderDirection14, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 0);
    double d21 = org.apache.commons.math.util.MathUtils.distance(d_array3, d_array20);
    double[] d_array24 = new double[] { 0.0d, (-1.0d) };
    double[] d_array25 = new double[] {  };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array28, orderDirection29, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    double[] d_array34 = new double[] { (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array41);
    double d46 = org.apache.commons.math.util.MathUtils.distanceInf(d_array28, d_array34);
    boolean b47 = org.apache.commons.math.util.MathUtils.equals(d_array3, d_array34);
    double[] d_array50 = new double[] { 0.0d, (-1.0d) };
    double[] d_array51 = new double[] {  };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array50, d_array51);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array51, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array56 = null;
    double d57 = org.apache.commons.math.util.MathUtils.distanceInf(d_array51, d_array56);
    double[] d_array59 = new double[] { (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, (-1.0d) };
    double[] d_array63 = new double[] {  };
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array63);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array63, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection67 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array66, orderDirection67, false);
    boolean b70 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array59, d_array66);
    double[] d_array73 = new double[] { 0.0d, (-1.0d) };
    double[] d_array74 = new double[] {  };
    boolean b75 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array73, d_array74);
    double[] d_array77 = org.apache.commons.math.util.MathUtils.copyOf(d_array74, 1);
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array66, d_array74);
    double d79 = org.apache.commons.math.util.MathUtils.distance1(d_array51, d_array66);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array51);
    double[] d_array81 = org.apache.commons.math.util.MathUtils.copyOf(d_array80);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException85 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number86 = nonMonotonousSequenceException85.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection87 = nonMonotonousSequenceException85.getDirection();
    double[] d_array90 = new double[] { 0.0d, (-1.0d) };
    double[] d_array91 = new double[] {  };
    boolean b92 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array90, d_array91);
    double[][] d_array_array93 = new double[][] { d_array91 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array80, orderDirection87, d_array_array93);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array34, d_array_array93);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number86 + "' != '" + 0.2855843395711495d+ "'", number86.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array93);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test488"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(0);
    int i7 = incrementor0.getCount();
    incrementor0.setMaximalCount(100);
    incrementor0.setMaximalCount(942687265);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test489"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)5.5123799759187495d, (java.lang.Number)(-1.3968770272493953E29d), false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test490"); }


    org.apache.commons.math.util.MathUtils.checkFinite(44.69683157399258d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test491"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck(17330, 34290000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-34272670));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test492"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(2.2517998136852478E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test493"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.8075411004368163d, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.886143558953284E-4d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test494"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 667519177);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 7L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, (-1694164043));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test495"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.21907946060694616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test496"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)(short)0, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, obj_array11);
    java.lang.Throwable[] throwable_array14 = notFiniteNumberException13.getSuppressed();
    java.lang.Throwable[] throwable_array15 = notFiniteNumberException13.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.2583121563569546d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.1751904312090045d, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test497"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array8 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array0, i_array12);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array0, 0);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int i19 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array17);
    int[] i_array20 = new int[] {  };
    int[] i_array21 = org.apache.commons.math.util.MathUtils.copyOf(i_array20);
    int[] i_array22 = new int[] {  };
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array23);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array24, 1);
    int i27 = org.apache.commons.math.util.MathUtils.distanceInf(i_array20, i_array26);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    double d29 = org.apache.commons.math.util.MathUtils.distance(i_array15, i_array26);
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array32 = new int[] {  };
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array32);
    int[] i_array34 = new int[] {  };
    int[] i_array35 = org.apache.commons.math.util.MathUtils.copyOf(i_array34);
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    int[] i_array38 = org.apache.commons.math.util.MathUtils.copyOf(i_array36, 1);
    int i39 = org.apache.commons.math.util.MathUtils.distanceInf(i_array32, i_array38);
    int[] i_array40 = new int[] {  };
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array40);
    int[] i_array42 = org.apache.commons.math.util.MathUtils.copyOf(i_array41);
    int[] i_array44 = org.apache.commons.math.util.MathUtils.copyOf(i_array42, 1);
    int i45 = org.apache.commons.math.util.MathUtils.distance1(i_array32, i_array44);
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array32, 0);
    int[] i_array48 = new int[] {  };
    int[] i_array49 = org.apache.commons.math.util.MathUtils.copyOf(i_array48);
    int[] i_array50 = org.apache.commons.math.util.MathUtils.copyOf(i_array49);
    int i51 = org.apache.commons.math.util.MathUtils.distance1(i_array47, i_array49);
    int i52 = org.apache.commons.math.util.MathUtils.distanceInf(i_array31, i_array47);
    int[] i_array53 = new int[] {  };
    int[] i_array54 = org.apache.commons.math.util.MathUtils.copyOf(i_array53);
    int[] i_array55 = new int[] {  };
    int[] i_array56 = org.apache.commons.math.util.MathUtils.copyOf(i_array55);
    int[] i_array57 = org.apache.commons.math.util.MathUtils.copyOf(i_array56);
    int[] i_array59 = org.apache.commons.math.util.MathUtils.copyOf(i_array57, 1);
    int i60 = org.apache.commons.math.util.MathUtils.distanceInf(i_array53, i_array59);
    int[] i_array61 = org.apache.commons.math.util.MathUtils.copyOf(i_array53);
    int[] i_array63 = org.apache.commons.math.util.MathUtils.copyOf(i_array53, 3379);
    int[] i_array64 = new int[] {  };
    int[] i_array65 = org.apache.commons.math.util.MathUtils.copyOf(i_array64);
    int[] i_array66 = org.apache.commons.math.util.MathUtils.copyOf(i_array65);
    int[] i_array68 = org.apache.commons.math.util.MathUtils.copyOf(i_array66, 1);
    int[] i_array69 = new int[] {  };
    int[] i_array70 = org.apache.commons.math.util.MathUtils.copyOf(i_array69);
    int[] i_array71 = org.apache.commons.math.util.MathUtils.copyOf(i_array70);
    int[] i_array73 = org.apache.commons.math.util.MathUtils.copyOf(i_array71, 1);
    int[] i_array75 = org.apache.commons.math.util.MathUtils.copyOf(i_array73, 0);
    int i76 = org.apache.commons.math.util.MathUtils.distance1(i_array66, i_array75);
    double d77 = org.apache.commons.math.util.MathUtils.distance(i_array53, i_array66);
    int i78 = org.apache.commons.math.util.MathUtils.distance1(i_array31, i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test498"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(6735060L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test499"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-0.9999998f), 4.7683713E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(0.0d, (-1975705753), (-24));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
