
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest9 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test001"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.01f, 1.0141205E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.01f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(5.942919244201501d, 548.3170351552121d, 1.8378770664093453d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test003"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.15708647509883514d, 0.2439490393600979d, (-0.6655280485429236d));
    double d4 = regulaFalsiSolver3.getFunctionValueAccuracy();
    double d5 = regulaFalsiSolver3.getStartValue();
    double d6 = regulaFalsiSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.6655280485429236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.6655280485429236d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test004"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)7.629395E-6f);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test005"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(6890.254020521428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test006"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.6756167463281909d), (-0.0d), 38.60672430098386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test007"); }


    double[] d_array0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = null;
    double d16 = org.apache.commons.math.util.MathUtils.distanceInf(d_array10, d_array15);
    double[] d_array18 = new double[] { (-1.0d) };
    double[] d_array21 = new double[] { 0.0d, (-1.0d) };
    double[] d_array22 = new double[] {  };
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array22);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array22, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection26 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array25, orderDirection26, false);
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array25);
    double[] d_array32 = new double[] { 0.0d, (-1.0d) };
    double[] d_array33 = new double[] {  };
    boolean b34 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array32, d_array33);
    double[] d_array36 = org.apache.commons.math.util.MathUtils.copyOf(d_array33, 1);
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array33);
    double d38 = org.apache.commons.math.util.MathUtils.distance1(d_array10, d_array25);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array10);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array39);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException44 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number45 = nonMonotonousSequenceException44.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection46 = nonMonotonousSequenceException44.getDirection();
    double[] d_array49 = new double[] { 0.0d, (-1.0d) };
    double[] d_array50 = new double[] {  };
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array49, d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array39, orderDirection46, d_array_array52);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException54 = new org.apache.commons.math.exception.NullArgumentException(localizable6, (java.lang.Object[])d_array_array52);
    org.apache.commons.math.exception.NoBracketingException noBracketingException55 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.7615941559557649d, 1.0000005000001665E-6d, 6.518985545582364E-4d, (-709.0895657128241d), (java.lang.Object[])d_array_array52);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array0, d_array_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + 0.2855843395711495d+ "'", number45.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test008"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.0000001E10f);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test009"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.5132013751311266d);
    java.lang.Throwable[] throwable_array6 = maxCountExceededException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = nullArgumentException10.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test010"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(1.4210855E-14f, (-1694164056));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test011"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.3126965362160526d, 9.999999999999997E-7d, (-0.4081731003761089d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test012"); }


    int[] i_array2 = new int[] { 1, 100 };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array2, 0);
    int[] i_array5 = new int[] {  };
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    double d8 = org.apache.commons.math.util.MathUtils.distance(i_array4, i_array5);
    int[] i_array9 = new int[] {  };
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int i12 = org.apache.commons.math.util.MathUtils.distanceInf(i_array4, i_array11);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 109);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = new int[] {  };
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array18);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array19);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array20, 1);
    int i23 = org.apache.commons.math.util.MathUtils.distanceInf(i_array16, i_array22);
    int[] i_array24 = new int[] {  };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array26 = org.apache.commons.math.util.MathUtils.copyOf(i_array25);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array26, 1);
    int i29 = org.apache.commons.math.util.MathUtils.distance1(i_array16, i_array28);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 0);
    int[] i_array32 = new int[] {  };
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array32);
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array33);
    int i35 = org.apache.commons.math.util.MathUtils.distance1(i_array31, i_array33);
    int[] i_array36 = new int[] {  };
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array36);
    int[] i_array38 = new int[] {  };
    int[] i_array39 = org.apache.commons.math.util.MathUtils.copyOf(i_array38);
    int[] i_array40 = org.apache.commons.math.util.MathUtils.copyOf(i_array39);
    int[] i_array42 = org.apache.commons.math.util.MathUtils.copyOf(i_array40, 1);
    int i43 = org.apache.commons.math.util.MathUtils.distanceInf(i_array36, i_array42);
    int[] i_array44 = org.apache.commons.math.util.MathUtils.copyOf(i_array42);
    double d45 = org.apache.commons.math.util.MathUtils.distance(i_array31, i_array42);
    int[] i_array46 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array46);
    int[] i_array48 = new int[] {  };
    int[] i_array49 = org.apache.commons.math.util.MathUtils.copyOf(i_array48);
    int[] i_array50 = new int[] {  };
    int[] i_array51 = org.apache.commons.math.util.MathUtils.copyOf(i_array50);
    int[] i_array52 = org.apache.commons.math.util.MathUtils.copyOf(i_array51);
    int[] i_array54 = org.apache.commons.math.util.MathUtils.copyOf(i_array52, 1);
    int i55 = org.apache.commons.math.util.MathUtils.distanceInf(i_array48, i_array54);
    int[] i_array56 = new int[] {  };
    int[] i_array57 = org.apache.commons.math.util.MathUtils.copyOf(i_array56);
    int[] i_array58 = org.apache.commons.math.util.MathUtils.copyOf(i_array57);
    int[] i_array60 = org.apache.commons.math.util.MathUtils.copyOf(i_array58, 1);
    int i61 = org.apache.commons.math.util.MathUtils.distance1(i_array48, i_array60);
    int[] i_array63 = org.apache.commons.math.util.MathUtils.copyOf(i_array48, 0);
    int[] i_array64 = new int[] {  };
    int[] i_array65 = org.apache.commons.math.util.MathUtils.copyOf(i_array64);
    int[] i_array66 = org.apache.commons.math.util.MathUtils.copyOf(i_array65);
    int i67 = org.apache.commons.math.util.MathUtils.distance1(i_array63, i_array65);
    int i68 = org.apache.commons.math.util.MathUtils.distanceInf(i_array47, i_array63);
    int i69 = org.apache.commons.math.util.MathUtils.distance1(i_array15, i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test013"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-6.0d), 85.05446701758153d, (-34272670));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test014"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    float[] f_array4 = new float[] { 1.0f };
    float[] f_array8 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b9 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array8);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { b9 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.6248887450668186d, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(3.1816180627239765E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1816180627239765E-33d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test016"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 6.102016471589204E38d, (-0.9653429511792212d), 0.7064339565894336d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test017"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.incrementCount((-136));
    int i3 = incrementor0.getCount();
    int i4 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-93500));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test018"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.587051006795987d, 0.10599184657662997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.587051006795987d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test019"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3984.9392605637904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test020"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { (-1.0d) };
    double[] d_array5 = new double[] { 0.0d, (-1.0d) };
    double[] d_array6 = new double[] {  };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array5, d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection10 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array9, orderDirection10, false);
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array9);
    double[] d_array16 = new double[] { 0.0d, (-1.0d) };
    double[] d_array17 = new double[] {  };
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array17);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array17, 1);
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array27, orderDirection28, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { (-1.0d) };
    double[] d_array36 = new double[] { 0.0d, (-1.0d) };
    double[] d_array37 = new double[] {  };
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array36, d_array37);
    double[] d_array40 = org.apache.commons.math.util.MathUtils.copyOf(d_array37, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection41 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array40, orderDirection41, false);
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array40);
    double d45 = org.apache.commons.math.util.MathUtils.distanceInf(d_array27, d_array33);
    boolean b46 = org.apache.commons.math.util.MathUtils.equals(d_array20, d_array27);
    double d47 = org.apache.commons.math.util.MathUtils.distance1(d_array2, d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double d48 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test021"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.4480736161291701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.48068138099697766d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test023"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 9);
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException17 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number15, (-127));
    java.lang.String str18 = nonMonotonousSequenceException17.toString();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = nonMonotonousSequenceException17.getDirection();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = null;
    double d30 = org.apache.commons.math.util.MathUtils.distanceInf(d_array24, d_array29);
    double[] d_array32 = new double[] { (-1.0d) };
    double[] d_array35 = new double[] { 0.0d, (-1.0d) };
    double[] d_array36 = new double[] {  };
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array35, d_array36);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array36, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection40 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array39, orderDirection40, false);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array32, d_array39);
    double[] d_array46 = new double[] { 0.0d, (-1.0d) };
    double[] d_array47 = new double[] {  };
    boolean b48 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array46, d_array47);
    double[] d_array50 = org.apache.commons.math.util.MathUtils.copyOf(d_array47, 1);
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array39, d_array47);
    double d52 = org.apache.commons.math.util.MathUtils.distance1(d_array24, d_array39);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array24);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array53);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException58 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number59 = nonMonotonousSequenceException58.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection60 = nonMonotonousSequenceException58.getDirection();
    double[] d_array63 = new double[] { 0.0d, (-1.0d) };
    double[] d_array64 = new double[] {  };
    boolean b65 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array63, d_array64);
    double[][] d_array_array66 = new double[][] { d_array64 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array53, orderDirection60, d_array_array66);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException68 = new org.apache.commons.math.exception.NullArgumentException(localizable20, (java.lang.Object[])d_array_array66);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.sortInPlace(d_array13, orderDirection19, d_array_array66);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"+ "'", str18.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number59 + "' != '" + 0.2855843395711495d+ "'", number59.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test024"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.000002168080651d, 1.0085830421424469d, 1.0000000000000064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.168080644571191E-6d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test025"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.2250738585072014E-308d, (java.lang.Number)0.6187552825030951d, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.6187552825030951d+ "'", number6.equals(0.6187552825030951d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.6187552825030951d+ "'", number9.equals(0.6187552825030951d));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test026"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-637578266284939271L), (-40309L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test027"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.501552066619407E-111d, 1.0E-15d, 0.7615941559557649d);
    int i4 = regulaFalsiSolver3.getEvaluations();
    double d5 = regulaFalsiSolver3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test028"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.0d, 2.4465832865439178E11d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test029"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-17), (-762067113));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test030"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 8);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test031"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-1694164067), 1694164056);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.709496079396335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test033"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7615941559557649d, (java.lang.Number)0.0f, false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException3.getSuppressed();
    boolean b6 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.0f+ "'", number4.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test034"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(54111.72098221809d, 1344.0536711383008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6308251500875482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5627772249890607d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test036"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.3552527E-20f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test037"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-0.07510173476019087d), 548.3170351552121d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 274.12096671022596d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test038"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.7765144277553725d, 0.8414709848081667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7765144277553726d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test039"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, (-11L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test040"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(13L, 7793427093719742475L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 13L);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test041"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = regulaFalsiSolver0.solve((-1073741824), univariateRealFunction3, 0.013707783890401887d, 7.101761523645944d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test042"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.6187552825030951d, 155.74607629780772d, (-8.267730288839683E12d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test043"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.6237109774138319d, (java.lang.Number)14.42815026192367d, false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test044"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.9971864771866554d, 0.5418724601976236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7695294686921395d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test045"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9216990687654384d, (-6.676532015564395E12d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.676532015564395E12d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.0368032826921043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1144024606149858d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)(short)0, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, number8, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(byte)10, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable3, localizable4, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test048"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.8236906639d, 0.0d, 7.544137102816975d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test049"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(10.0f, (-0.99999994f), 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test050"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i2 = regulaFalsiSolver0.getMaxEvaluations();
    double d3 = regulaFalsiSolver0.getMin();
    double d4 = regulaFalsiSolver0.getFunctionValueAccuracy();
    double d5 = regulaFalsiSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test051"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(7541472714284124641L, (-329580L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test052"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2194330274671845E142d, 0.015204910500070813d, (-108));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test053"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.021614454100800443d), 0.5024382535186998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04299261685193346d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test054"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)(short)0, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, number8, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(byte)10, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array12);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable3, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array12);
    java.lang.Throwable[] throwable_array19 = mathIllegalStateException18.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test055"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.1144024606149858d, 0.6324060938829745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6324060938829745d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test056"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.061549313615373746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test057"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.315388937936424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.128861651281376d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(7438034687145588811L, (-5406537099369665671L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test059"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-17033), (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test060"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)10000);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test061"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, (-3.471192166294801d), 0.6809714348143157d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = regulaFalsiSolver3.solve((-640662489), univariateRealFunction5, 98.98999899979998d, (-5.742332327445421E-17d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test062"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(2.2517998136852478E15d, 869987513, 2159);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test063"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(6.676532015562079E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 29.529619809320383d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-3.798286317901415E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.162975822039155E-33d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test065"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(1291375114, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test066"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.8414709848081667d, 0.3056875667234596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test067"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.916126511821406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1274683151));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(6.518985544850239E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.518986006581004E-4d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test069"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i2 = regulaFalsiSolver0.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test070"); }


    double d2 = org.apache.commons.math.util.FastMath.max(Double.POSITIVE_INFINITY, 34.46999640613799d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test071"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getMaximalCount();
    int i4 = incrementor0.getMaximalCount();
    int i5 = incrementor0.getCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test072"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.1920002E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test073"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(54111.72096400142d, 1.2391398122732626E-31d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test074"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-0.8464641401965068d));
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-1291375114));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test076"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.8414709848078964d), 1.5168757049977977d, 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(6915.955456951444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test078"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 3629999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test079"); }


    double d2 = org.apache.commons.math.util.FastMath.max(11.683368454666065d, 0.9793085630196526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.683368454666065d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test080"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.03490658503988659d), 0.5862171818239679d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.03490658503988659d));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test081"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-2), 0);
    java.lang.String str3 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: -2 != 0"+ "'", str3.equals("org.apache.commons.math.exception.DimensionMismatchException: -2 != 0"));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test082"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.8464641401965068d), 6.283185307179586d, 1.76585817445595E-309d, 408.7237033377358d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.76585817445595E-309d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test083"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 0.0d, (-1.0d) };
    double[] d_array4 = new double[] {  };
    boolean b5 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array3, d_array4);
    double[] d_array7 = org.apache.commons.math.util.MathUtils.copyOf(d_array4, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array11 = new double[] { 0.0d, (-1.0d) };
    double[] d_array12 = new double[] {  };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array12);
    double[] d_array15 = org.apache.commons.math.util.MathUtils.copyOf(d_array12, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection16 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array15, orderDirection16, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { (-1.0d) };
    double[] d_array24 = new double[] { 0.0d, (-1.0d) };
    double[] d_array25 = new double[] {  };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array28, orderDirection29, false);
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array28);
    double d33 = org.apache.commons.math.util.MathUtils.distanceInf(d_array15, d_array21);
    double[] d_array35 = new double[] { (-1.0d) };
    double[] d_array38 = new double[] { 0.0d, (-1.0d) };
    double[] d_array39 = new double[] {  };
    boolean b40 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array38, d_array39);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array39, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection43 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array42, orderDirection43, false);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array35, d_array42);
    double[] d_array49 = new double[] { 0.0d, (-1.0d) };
    double[] d_array50 = new double[] {  };
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array49, d_array50);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array50, 1);
    boolean b54 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array42, d_array50);
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array42);
    double d56 = org.apache.commons.math.util.MathUtils.distance1(d_array7, d_array21);
    int i57 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double d58 = org.apache.commons.math.util.MathUtils.safeNorm(d_array7);
    double[] d_array60 = new double[] { (-1.0d) };
    double[] d_array63 = new double[] { 0.0d, (-1.0d) };
    double[] d_array64 = new double[] {  };
    boolean b65 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array63, d_array64);
    double[] d_array67 = org.apache.commons.math.util.MathUtils.copyOf(d_array64, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection68 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array67, orderDirection68, false);
    boolean b71 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array60, d_array67);
    double[] d_array74 = new double[] { 0.0d, (-1.0d) };
    double[] d_array75 = new double[] {  };
    boolean b76 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array74, d_array75);
    double[] d_array78 = org.apache.commons.math.util.MathUtils.copyOf(d_array75, 1);
    boolean b79 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array67, d_array75);
    double d80 = org.apache.commons.math.util.MathUtils.safeNorm(d_array67);
    double[] d_array82 = org.apache.commons.math.util.MathUtils.copyOf(d_array67, 9);
    boolean b83 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array7, d_array67);
    // The following exception was thrown during execution in test generation
    try {
      double d84 = org.apache.commons.math.util.MathUtils.distance(d_array0, d_array67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test084"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 0.15708647509883514d, 0.5921505669882385d, 4.7321409346765d, obj_array19);
    double d26 = noBracketingException25.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.15708647509883514d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(4.341658809405997E36d, 0.36787944117144233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test086"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.23206760369109855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test087"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getStartValue();
    int i3 = regulaFalsiSolver0.getMaxEvaluations();
    double d4 = regulaFalsiSolver0.getFunctionValueAccuracy();
    double d5 = regulaFalsiSolver0.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = regulaFalsiSolver0.solve(1694164056, univariateRealFunction7, 0.9999930253396107d, 1490.4791612521778d, 1.4368314419837989d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test088"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(2L, 4608844784968914517L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test089"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.014686439244896978d, (java.lang.Number)7.0d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test090"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)9L);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    java.lang.Number number4 = notPositiveException2.getMin();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathArithmeticException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(throwable10, localizable11, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array19);
    mathArithmeticException7.addSuppressed((java.lang.Throwable)mathArithmeticException24);
    java.lang.Throwable[] throwable_array26 = mathArithmeticException7.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.23206760369109852d, (java.lang.Object[])throwable_array26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException2, localizable5, (java.lang.Object[])throwable_array26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test091"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.08805539769187831d), 132.3147768215649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.08805539769187831d));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-796357113));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test093"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(1433134112, (-263));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence((-0.3141912947882032d), 444.1114815481014d, 0.10599184657662994d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test095"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.569690402594255d, 0.0d, 155.74610829489725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test096"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(1694164056, (-17033));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test097"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-5406537099369665671L), 111L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test098"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-34272778), (-1831740707));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test099"); }


    double[] d_array7 = new double[] { (-1.0d) };
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection15, false);
    boolean b18 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array7, d_array14);
    double[] d_array21 = new double[] { 0.0d, (-1.0d) };
    double[] d_array22 = new double[] {  };
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array22);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array22, 1);
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array22);
    double[] d_array29 = new double[] { 0.0d, (-1.0d) };
    double[] d_array30 = new double[] {  };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array29, d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array35 = null;
    double d36 = org.apache.commons.math.util.MathUtils.distanceInf(d_array30, d_array35);
    double[] d_array38 = new double[] { (-1.0d) };
    double[] d_array41 = new double[] { 0.0d, (-1.0d) };
    double[] d_array42 = new double[] {  };
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array42);
    double[] d_array45 = org.apache.commons.math.util.MathUtils.copyOf(d_array42, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection46 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array45, orderDirection46, false);
    boolean b49 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array38, d_array45);
    double[] d_array52 = new double[] { 0.0d, (-1.0d) };
    double[] d_array53 = new double[] {  };
    boolean b54 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array52, d_array53);
    double[] d_array56 = org.apache.commons.math.util.MathUtils.copyOf(d_array53, 1);
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array45, d_array53);
    double d58 = org.apache.commons.math.util.MathUtils.distance1(d_array30, d_array45);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array45);
    double[] d_array61 = org.apache.commons.math.util.MathUtils.copyOf(d_array45, 0);
    double[] d_array63 = org.apache.commons.math.util.MathUtils.copyOf(d_array45, 0);
    boolean b64 = org.apache.commons.math.util.MathUtils.equals(d_array14, d_array63);
    double[] d_array67 = new double[] { 0.0d, (-1.0d) };
    double[] d_array68 = new double[] {  };
    boolean b69 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array67, d_array68);
    double[] d_array71 = org.apache.commons.math.util.MathUtils.copyOf(d_array68, 1);
    boolean b72 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array68);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection73 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection73, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException77 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-1550295474), (java.lang.Number)10L, 109, orderDirection73, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection78 = nonMonotonousSequenceException77.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException80 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)360.0d, (java.lang.Number)0.9046745947530157d, (-136), orderDirection78, true);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection81 = nonMonotonousSequenceException80.getDirection();
    java.lang.Number number82 = nonMonotonousSequenceException80.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number82 + "' != '" + 360.0d+ "'", number82.equals(360.0d));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.5418724601976236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9981329160268214d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.5688807151378873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6051442486250744d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test102"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.7496295035758045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test103"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-7.28841902419192d), 1.586662954217718d, 4.499809670330265d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test104"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number1, (-127));
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException3.getDirection();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)nonMonotonousSequenceException3);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = mathInternalError6.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test105"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(3629999L, 7541472714284124641L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7529164736369828433L));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test106"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(33303L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test107"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 45.21381166670328d, 7.544137102816975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test108"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck(0L, 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1000L);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test109"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.025676021633806948d);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)0, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, number15, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable12, (java.lang.Number)(byte)10, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable10, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array19);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException(localizable7, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException27 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, number6, obj_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)maxCountExceededException3, localizable4, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)6.516861609965433E-4d, obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test110"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.7120315662398814d, (-0.10491011863382856d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test111"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(6.518985545582364E-4d, 0.0d, 1.6007560799999998E10d, 3.469446951953614E-18d, 1889.6314760358375d, 0.9069703374120245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1713.8396974601428d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test112"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(4.7683716E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.7683716E-7f);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test113"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.2855843395711495d, 1.6426774986715578d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round((-100.0f), 1912722808, (-808182895));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test115"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(667519177, 54L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57048049);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test116"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(6.518986007313208E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.518986469044585E-4d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test118"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9871170782305544d, 1.5707963267948968d, (-5.742332327445421E-17d), 869987513);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test119"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable22, (java.lang.Number)(short)0, obj_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable20, number21, obj_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable18, (java.lang.Number)(byte)10, obj_array25);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)(byte)10, obj_array25);
    org.apache.commons.math.exception.NoBracketingException noBracketingException30 = new org.apache.commons.math.exception.NoBracketingException(localizable11, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)1.1920001E-7f, obj_array25);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array25);
    org.apache.commons.math.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 0.37623361672720984d, (-0.517223314602415d), 123.8720389052105d, (-1.0d), obj_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException34 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2, obj_array25);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException35 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1820428777, obj_array25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError36 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test120"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-2105837645), (-1643854089));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-461983556));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test121"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d4 = regulaFalsiSolver3.getMin();
    double d5 = regulaFalsiSolver3.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.7853981633974483d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test122"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9173653802038879d, 1.238749439456798d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test123"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.1920929E-7f, (-99.99999f), 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.018859024680430627d, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.979727989493313E-17d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test125"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.6809714348143157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.011885193649539749d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test126"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(274.12096671022596d, 0.7023967071298749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 137.41168170867792d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test127"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(2.563267202175621E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5632672302450255E-4d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1214.1038646030217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.4646050133100295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9020315566470706d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test130"); }


    int i2 = org.apache.commons.math.util.FastMath.max(72, 390);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 390);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test131"); }


    long long2 = org.apache.commons.math.util.FastMath.min(637578266284939273L, (-7910043694719011849L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7910043694719011849L));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test132"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(366508800L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 366508789L);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test133"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.99999994f);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.16765036534331296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16686612006306195d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test135"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(0);
    int i7 = incrementor0.getCount();
    incrementor0.setMaximalCount(9);
    int i10 = incrementor0.getCount();
    int i11 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test136"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(134);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test137"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.021614454100800443d), (-708.3964185322641d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test138"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver5 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.010000001666666944d, 0.0d, 0.0d);
    double d6 = regulaFalsiSolver5.getAbsoluteAccuracy();
    double d7 = regulaFalsiSolver5.getMin();
    double d8 = regulaFalsiSolver5.getMax();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver5, 6.501552066619407E-111d, 77.87305414744863d, 415.7787177177308d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test139"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(3.8562048236263E215d, 10.0d, (-1.243546829793235d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.243546829793235d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test140"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-1433134112));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-1861424100));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test142"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.MathUtils.round(1.2391398122732626E-31d, (-170), 365);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test143"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog((-2105837678), (-1694164043));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.5707963017427882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963017427884d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test145"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.917365380203888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8217189189268103d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test146"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(6.044629E23f, (-1757542967));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test147"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.168080644571191E-6d, (java.lang.Number)(-1694167446), false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test148"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)7.979727989493313E-17d, (java.lang.Number)389, false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test149"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(6114900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 6114900L);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test150"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getMax();
    double d3 = regulaFalsiSolver0.getMin();
    int i4 = regulaFalsiSolver0.getMaxEvaluations();
    double d5 = regulaFalsiSolver0.getFunctionValueAccuracy();
    double d6 = regulaFalsiSolver0.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = regulaFalsiSolver0.solve((-1274683151), univariateRealFunction8, 0.5003180651426528d, 1.9693539716689916d, (-0.6051442486250744d), allowedSolution12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test151"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.incrementCount((-136));
    int i3 = incrementor0.getCount();
    int i4 = incrementor0.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test152"); }


    long long2 = org.apache.commons.math.util.FastMath.max(7793427093719742475L, 7541472714284124641L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7793427093719742475L);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test153"); }


    double d2 = org.apache.commons.math.util.MathUtils.log((-0.04299261685193346d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test154"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(1000L, 3629997L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.3385455431502078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8012493472611882d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test156"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.281049675129735d, 0.0d, 26162);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test157"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)100.00001f);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test158"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.3678794411714423d, 0.9999930253396107d, 3.2019103352148606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test159"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.5920434190585298d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test160"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127024d, (java.lang.Number)0.2855843395711495d, 4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection4 = nonMonotonousSequenceException3.getDirection();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test161"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(1820428777, 183174081);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test162"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.0010682129837363693d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999999429460565d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-3.849577673361252E12d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test164"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-9.999999E9f), 1.0000001f, 1433134113);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test165"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(100.00001f, (-1.0E10f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test166"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(5.741384451812624d, 2.1808787385219026E67d, 188.6389642897521d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test167"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-9L), 6L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6L);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test168"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.8414709848127024d, 1344.0536711383008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8414709848127024d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.log(7719.384134950558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.951489864571135d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test170"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException4 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127024d, (java.lang.Number)0.2855843395711495d, 4);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection5 = nonMonotonousSequenceException4.getDirection();
    int i6 = nonMonotonousSequenceException4.getIndex();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.5132013751311266d);
    java.lang.Throwable[] throwable_array15 = maxCountExceededException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable12, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable9, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable8, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonousSequenceException4, localizable7, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test171"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-23.84345739187178d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 317620040);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.0547118733938987E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test173"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.650305706503187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test174"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(956L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test175"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array7 = new double[] { 0.0d, (-1.0d) };
    double[] d_array8 = new double[] {  };
    boolean b9 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array7, d_array8);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array8, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array11, orderDirection12, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array11);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 9);
    double d19 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array20 = org.apache.commons.math.util.MathUtils.copyOf(d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array20);
    double[] d_array24 = new double[] { 0.0d, (-1.0d) };
    double[] d_array25 = new double[] {  };
    boolean b26 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array25);
    double[] d_array28 = org.apache.commons.math.util.MathUtils.copyOf(d_array25, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection29 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array28, orderDirection29, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array28);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = org.apache.commons.math.util.MathUtils.distance(d_array21, d_array28);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test176"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-1.2579284815738159d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6169419203144242d));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test177"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d2 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d3 = regulaFalsiSolver1.getAbsoluteAccuracy();
    double d4 = regulaFalsiSolver1.getMax();
    double d5 = regulaFalsiSolver1.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver13 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver22 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d23 = regulaFalsiSolver22.getAbsoluteAccuracy();
    double d24 = regulaFalsiSolver22.getAbsoluteAccuracy();
    double d25 = regulaFalsiSolver22.getRelativeAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution29 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d30 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-10), univariateRealFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver22, 0.6308251500875482d, 0.0d, 3.8562048236263E215d, allowedSolution29);
    double d31 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-808182895), univariateRealFunction12, bracketedUnivariateRealSolver13, 0.9173653802038879d, 1.1276259652063807d, 207.34511563270783d, allowedSolution29);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = regulaFalsiSolver1.solve(263, univariateRealFunction7, (-1.1620871916654456d), 0.2817181715409549d, 0.0d, allowedSolution29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.6308251500875482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9173653802038879d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(1L, (-637578266284939263L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(1912722808, (-2147483639));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test180"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm(7, 1618271013);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test181"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2823964596744644d, 0.5558738409986911d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test182"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)33191L);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test183"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test184"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-1.2384169964551002d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5801524334342048d));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test185"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.761594155955765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.2132900560113313d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.14575700110059d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test187"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(127, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-270549121));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test188"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.5525624536548166d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test189"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(7.1054274E-15f, Float.NaN, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test190"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test191"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)6.501552066619407E-111d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test192"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6);
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    double[] d_array22 = new double[] { 0.0d, (-1.0d) };
    double[] d_array23 = new double[] {  };
    boolean b24 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array22, d_array23);
    double[] d_array26 = org.apache.commons.math.util.MathUtils.copyOf(d_array23, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection27 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array26, orderDirection27, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array26);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 0);
    double d34 = org.apache.commons.math.util.MathUtils.distance(d_array16, d_array33);
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array41);
    double[] d_array47 = new double[] { (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, (-1.0d) };
    double[] d_array51 = new double[] {  };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array50, d_array51);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array51, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection55 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array54, orderDirection55, false);
    boolean b58 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array54);
    double d59 = org.apache.commons.math.util.MathUtils.distanceInf(d_array41, d_array47);
    boolean b60 = org.apache.commons.math.util.MathUtils.equals(d_array16, d_array47);
    double d61 = org.apache.commons.math.util.MathUtils.safeNorm(d_array47);
    double[] d_array63 = org.apache.commons.math.util.MathUtils.copyOf(d_array47, 550);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array47);
    boolean b65 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array6, d_array64);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test193"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.014687495249364413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 25342394);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test194"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.8414709848127025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3754263876852613d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test196"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(97.90704187179428d, 5.551115123125783E-17d, 6.250002083334375E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test197"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection15, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array14);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array19, 0);
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array21);
    double d23 = org.apache.commons.math.util.MathUtils.safeNorm(d_array3);
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array25 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    double[] d_array28 = new double[] { (-1.0d) };
    double[] d_array31 = new double[] { 0.0d, (-1.0d) };
    double[] d_array32 = new double[] {  };
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array31, d_array32);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array32, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection36 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array35, orderDirection36, false);
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array28, d_array35);
    double[] d_array42 = new double[] { 0.0d, (-1.0d) };
    double[] d_array43 = new double[] {  };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array42, d_array43);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array43, 1);
    double[] d_array49 = new double[] { 0.0d, (-1.0d) };
    double[] d_array50 = new double[] {  };
    boolean b51 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array49, d_array50);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array50, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection54 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array53, orderDirection54, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    double[] d_array59 = new double[] { (-1.0d) };
    double[] d_array62 = new double[] { 0.0d, (-1.0d) };
    double[] d_array63 = new double[] {  };
    boolean b64 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array63);
    double[] d_array66 = org.apache.commons.math.util.MathUtils.copyOf(d_array63, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection67 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array66, orderDirection67, false);
    boolean b70 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array59, d_array66);
    double d71 = org.apache.commons.math.util.MathUtils.distanceInf(d_array53, d_array59);
    boolean b72 = org.apache.commons.math.util.MathUtils.equals(d_array46, d_array53);
    double d73 = org.apache.commons.math.util.MathUtils.distance1(d_array28, d_array46);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array46);
    boolean b75 = org.apache.commons.math.util.MathUtils.equals(d_array25, d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test198"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.3752106654743577d, 0.9871170782305544d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test199"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1260, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test200"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 1.193447921714026d, 0.6931471805599453d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-102L), (-1975705753));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test202"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.3611093629270335E-15d, (-2.0d), 408.7237033377358d);
    double d4 = regulaFalsiSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 408.7237033377358d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test203"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.4711276743037347d, 11.979166666666668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 101.93226349046695d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test204"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array1, 103);
    int[] i_array4 = new int[] {  };
    int[] i_array5 = org.apache.commons.math.util.MathUtils.copyOf(i_array4);
    int[] i_array6 = new int[] {  };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array8, 1);
    int i11 = org.apache.commons.math.util.MathUtils.distanceInf(i_array4, i_array10);
    int[] i_array12 = new int[] {  };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int i17 = org.apache.commons.math.util.MathUtils.distance1(i_array10, i_array16);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = org.apache.commons.math.util.MathUtils.distanceInf(i_array3, i_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test205"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1506.0d, 1.2676506002282294E31d, (-0.5d), 0.561944392631307d, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException23 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable21, (java.lang.Number)0.010000001666666944d);
    java.lang.Throwable[] throwable_array24 = notStrictlyPositiveException23.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-0.5d), localizable20, (java.lang.Object[])throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test206"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, (-3.4058853314771738d), (-2.4186274224353763d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test207"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.8686709614860095d, 2.9020570897470397E-32d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test208"); }


    long long2 = org.apache.commons.math.util.MathUtils.addAndCheck((-100L), (-956L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1056L));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test209"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver5 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver((-1.2579284815738159d), 6.516861609965511E-4d, 944.8154734160571d);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(5250, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver5, 100.0d, 0.0d, 0.021176892700980946d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test210"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(2.0478486504427558d, 1.3504409146275151d, (-808182895));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test211"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.08482562700503567d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test212"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d4 = regulaFalsiSolver3.getAbsoluteAccuracy();
    double d5 = regulaFalsiSolver3.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = regulaFalsiSolver3.solve(389, univariateRealFunction7, 1.555800631376535d, 3.2019103352148606d, 188.6389642897521d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test213"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.2823964596744644d, 2.3945753355078114d, 0.2612746548198605d, 1.4511292182435374d, obj_array5);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test214"); }


    double[] d_array1 = new double[] { (-1.0d) };
    double[] d_array4 = new double[] { 0.0d, (-1.0d) };
    double[] d_array5 = new double[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array4, d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8, orderDirection9, false);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array8);
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array8, d_array16);
    double d21 = org.apache.commons.math.util.MathUtils.safeNorm(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test215"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble((-1975705753), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test216"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.8936925463895655d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8936925463895655d));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test217"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient((-9), 7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test218"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9693690968899957d, 0.0d, 2.168080644571191E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-708.3964185322641d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.256151528922713d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test220"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-99.99999f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test221"); }


    int i2 = org.apache.commons.math.util.FastMath.min(126, (-2021038273));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2021038273));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test222"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    float[] f_array10 = new float[] { 1.0f };
    float[] f_array14 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b15 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array10, f_array14);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { b15 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable8, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 0.2320676036910985d, 0.7615941559557649d, 0.9171523356672744d, 3.141592653589793d, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.38663018933249305d, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test223"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(0, 1820428777);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.7120315662398814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8929622151030479d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test225"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.238749439456798d, 155.74610829489725d, 155.74610829489725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test226"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)8604L, (java.lang.Number)(-2147483648), true);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test227"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-3.708193000094843E12d));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test228"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test229"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test230"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(short)0, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, number9, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(byte)10, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)(byte)10, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.4711276743037347d, obj_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)100L, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test231"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array26 = new double[] { (-1.0d) };
    double[] d_array29 = new double[] { 0.0d, (-1.0d) };
    double[] d_array30 = new double[] {  };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array29, d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection34 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection34, false);
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array26, d_array33);
    double[] d_array40 = new double[] { 0.0d, (-1.0d) };
    double[] d_array41 = new double[] {  };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array41);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array41, 1);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array41);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array33);
    double[] d_array49 = new double[] { 100.0d, 10.0d };
    double d50 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array49);
    double[] d_array53 = new double[] { 0.0d, (-1.0d) };
    double[] d_array54 = new double[] {  };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array53, d_array54);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = null;
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array54, d_array59);
    double[] d_array62 = new double[] { (-1.0d) };
    double[] d_array65 = new double[] { 0.0d, (-1.0d) };
    double[] d_array66 = new double[] {  };
    boolean b67 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array65, d_array66);
    double[] d_array69 = org.apache.commons.math.util.MathUtils.copyOf(d_array66, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection70 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array69, orderDirection70, false);
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array69);
    double[] d_array76 = new double[] { 0.0d, (-1.0d) };
    double[] d_array77 = new double[] {  };
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array76, d_array77);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array77, 1);
    boolean b81 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array69, d_array77);
    double d82 = org.apache.commons.math.util.MathUtils.distance1(d_array54, d_array69);
    double[] d_array83 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double[] d_array84 = org.apache.commons.math.util.MathUtils.copyOf(d_array83);
    boolean b85 = org.apache.commons.math.util.MathUtils.equals(d_array33, d_array83);
    int i86 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array88 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, (-0.99627207622075d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 31);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.5862171818239679d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.176802660725056d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test233"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.9807041E28f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test234"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { b13 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-135), localizable4, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-3.4028235E38f), obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test235"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(8923.592847586888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test236"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 45.5075804870645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test237"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2L, (java.lang.Number)1.0138750507998908d, true);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.319776824727002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3197768247270023d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-5349.468901914492d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test240"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh(0.5597067734002287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5893913248538107d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test241"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    double d4 = regulaFalsiSolver3.getMin();
    int i5 = regulaFalsiSolver3.getMaxEvaluations();
    double d6 = regulaFalsiSolver3.getStartValue();
    double d7 = regulaFalsiSolver3.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.862436238624443d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test242"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.9999999999999999d));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test243"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(525);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test244"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.6439263329839022d, 79699.57132416441d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 79699.5713267657d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test245"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.010000001666666944d, 0.0d, 0.0d);
    int i4 = regulaFalsiSolver3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test246"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination((-0.249093884862547d), 0.321055910476839d, 0.0d, 0.02898631168861243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.07997306399875793d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.3504409146275151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-3.708193000094843E12d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test249"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(6.516861609965433E-4d, 21620.267978083146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3606131369312031d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test250"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(9);
    incrementor0.incrementCount();
    int i8 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 9);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test251"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.6758998472942637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.6426774986715578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test253"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.3157815004097686d, 0.5132013751311266d, 0.761594155955765d, 0.0d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.3157815004097686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5132013751311266d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test254"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)(short)0, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, number9, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(byte)10, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array13);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable4, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(number1, obj_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)nullArgumentException21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test255"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(1.1125369292536007E-308d, 1.290339164719765E49d, (-0.24392069066885724d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test256"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0f, (-9.999999E9f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(4.0017568419996506E156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0004391622840347E78d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test258"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-5181947010919151569L), (java.lang.Number)2.319776824727002d, true);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test259"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection15, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array20 = new double[] { (-1.0d) };
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array27, orderDirection28, false);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array27);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array20);
    double[] d_array34 = new double[] { (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array41);
    double[] d_array48 = new double[] { 0.0d, (-1.0d) };
    double[] d_array49 = new double[] {  };
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array49);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array49, 1);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array49);
    boolean b54 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array41);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array20);
    int i56 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array60 = new double[] { 0.0d, (-1.0d) };
    double[] d_array61 = new double[] {  };
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array60, d_array61);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array61, 1);
    double[] d_array67 = new double[] { 0.0d, (-1.0d) };
    double[] d_array68 = new double[] {  };
    boolean b69 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array67, d_array68);
    double[] d_array71 = org.apache.commons.math.util.MathUtils.copyOf(d_array68, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection72 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array71, orderDirection72, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    double[] d_array76 = org.apache.commons.math.util.MathUtils.copyOf(d_array71);
    double[] d_array78 = org.apache.commons.math.util.MathUtils.copyOf(d_array76, 0);
    double d79 = org.apache.commons.math.util.MathUtils.distance(d_array61, d_array78);
    boolean b80 = org.apache.commons.math.util.MathUtils.equals(d_array57, d_array78);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection81 = org.apache.commons.math.util.MathUtils.OrderDirection.INCREASING;
    boolean b84 = org.apache.commons.math.util.MathUtils.checkOrder(d_array57, orderDirection81, true, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test260"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(0.04189122453282744d, 0.5862171818239679d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test261"); }


    double d8 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, (-0.22049321393830057d), 0.0d, 0.04107262994782476d, 464245.07753627445d, (-1.243546829793235d), 2.0852835040753663d, 0.2583121563569546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-577309.9557632701d));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test262"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(30, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test263"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable15, (java.lang.Number)(short)0, obj_array18);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, number14, obj_array18);
    java.lang.Throwable[] throwable_array21 = notFiniteNumberException20.getSuppressed();
    java.lang.Throwable[] throwable_array22 = notFiniteNumberException20.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable8, 1.3754263876852615d, 0.37623361672720984d, 1.3754263876852615d, 3.141592653589793d, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 8923.592847586888d, 0.9757961574403916d, (-1.5707963267948966d), 1.2391398122732624E-31d, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.8248588692707672d, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test264"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0000001f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test265"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-170), (-1694167446));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1694167446));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test266"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test267"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.2583121563569546d, 0.3403473416778734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test268"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array6, 254);
    int[] i_array10 = new int[] {  };
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int[] i_array12 = new int[] {  };
    int[] i_array13 = org.apache.commons.math.util.MathUtils.copyOf(i_array12);
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array14, 1);
    int i17 = org.apache.commons.math.util.MathUtils.distanceInf(i_array10, i_array16);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array16, 254);
    int i20 = org.apache.commons.math.util.MathUtils.distanceInf(i_array6, i_array19);
    int[] i_array23 = new int[] { 1, 100 };
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array23, 0);
    int[] i_array26 = new int[] {  };
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array26);
    double d29 = org.apache.commons.math.util.MathUtils.distance(i_array25, i_array26);
    int[] i_array30 = new int[] {  };
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array32 = org.apache.commons.math.util.MathUtils.copyOf(i_array31);
    int i33 = org.apache.commons.math.util.MathUtils.distanceInf(i_array25, i_array32);
    int[] i_array35 = org.apache.commons.math.util.MathUtils.copyOf(i_array25, 109);
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array25);
    // The following exception was thrown during execution in test generation
    try {
      int i37 = org.apache.commons.math.util.MathUtils.distanceInf(i_array6, i_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test269"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.1125369292536007E-308d, 0.5666179581312606d, 4.7321409346765d);
    double d4 = regulaFalsiSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 4.7321409346765d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientLog(136, 39798);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test271"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd(107, (-12));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test272"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.09026881980608625d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test273"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.2817181715409549d, 0.04107262994782476d, (-2105837645));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test274"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    float[] f_array4 = new float[] { 1.0f };
    float[] f_array8 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b9 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array4, f_array8);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { b9 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array10);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array10);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test275"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)1.0E-6d, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)9.999999999732445E-7d, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, number5, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test276"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-945L), (java.lang.Number)0.9193611539565444d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test277"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-8.019109226244781d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test278"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.449827588495802d);
    double d2 = regulaFalsiSolver1.getRelativeAccuracy();
    int i3 = regulaFalsiSolver1.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test279"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-2105837678), (-34272778));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-62881.65985207075d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test281"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-3.708193000094843E12d), 6.162975822039155E-33d, 45.5075804870645d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.8236906638952046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3618884142455614d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test283"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.9807041E28f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.2527657176854956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0493195780363025d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test285"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(205.73098231803883d, 6.162975822039155E-33d, 5.5123799759187495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test286"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 11.979166666666668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test287"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(2.2132900560113313d, 49.91477674099271d, 7.709377377084365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test288"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-46));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test289"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(0.0d, 0.7120315662398814d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test290"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialLog(263);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1206.1818428686745d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test291"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.319776824727002d, 123.8720389052105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.319776824727002d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test292"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.676532015562079E12d, 13.387169281324779d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test293"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(535.4969431801696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.14080688265147d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test294"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(366508789L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 366508789L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1472130839517565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4159415521135934d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test296"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-3.4028235E38f), 1.1920002E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920002E-7f);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test297"); }


    long long2 = org.apache.commons.math.util.FastMath.max(120L, (-40304L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 120L);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test298"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.24909388486254702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0311846274222127d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test299"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.2391398122732626E-31d, (-1.2180280666000018d), 1.791759469228055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test300"); }


    double[] d_array8 = new double[] { 0.0d, (-1.0d) };
    double[] d_array9 = new double[] {  };
    boolean b10 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array8, d_array9);
    double[] d_array12 = org.apache.commons.math.util.MathUtils.copyOf(d_array9, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = null;
    double d15 = org.apache.commons.math.util.MathUtils.distanceInf(d_array9, d_array14);
    double[] d_array17 = new double[] { (-1.0d) };
    double[] d_array20 = new double[] { 0.0d, (-1.0d) };
    double[] d_array21 = new double[] {  };
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array21);
    double[] d_array24 = org.apache.commons.math.util.MathUtils.copyOf(d_array21, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection25 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array24, orderDirection25, false);
    boolean b28 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array24);
    double[] d_array31 = new double[] { 0.0d, (-1.0d) };
    double[] d_array32 = new double[] {  };
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array31, d_array32);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array32, 1);
    boolean b36 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array32);
    double d37 = org.apache.commons.math.util.MathUtils.distance1(d_array9, d_array24);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array9);
    double[] d_array39 = org.apache.commons.math.util.MathUtils.copyOf(d_array38);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException43 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number44 = nonMonotonousSequenceException43.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection45 = nonMonotonousSequenceException43.getDirection();
    double[] d_array48 = new double[] { 0.0d, (-1.0d) };
    double[] d_array49 = new double[] {  };
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array49);
    double[][] d_array_array51 = new double[][] { d_array49 };
    org.apache.commons.math.util.MathUtils.sortInPlace(d_array38, orderDirection45, d_array_array51);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException54 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.9161265118214059d, (java.lang.Number)9.999999999732445E-7d, (-1694164183), orderDirection45, true);
    int i55 = nonMonotonousSequenceException54.getIndex();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection56 = nonMonotonousSequenceException54.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException58 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-3.4028235E38f), (java.lang.Number)(-0.6655280485429236d), 4, orderDirection56, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number44 + "' != '" + 0.2855843395711495d+ "'", number44.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == (-1694164183));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test301"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(99.99999f, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test302"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.0d, 33.1116427163035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test303"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(2.0368032826921043d, 0.0d, 0.04104955343449113d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test304"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 667519177);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 667519177);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 637578266284939271L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, (-47L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test305"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = new int[] {  };
    int[] i_array3 = org.apache.commons.math.util.MathUtils.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array4, 1);
    int i7 = org.apache.commons.math.util.MathUtils.distanceInf(i_array0, i_array6);
    int[] i_array8 = new int[] {  };
    int[] i_array9 = org.apache.commons.math.util.MathUtils.copyOf(i_array8);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 1);
    int i13 = org.apache.commons.math.util.MathUtils.distance1(i_array6, i_array12);
    int[] i_array14 = new int[] {  };
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array18 = org.apache.commons.math.util.MathUtils.copyOf(i_array17);
    int[] i_array20 = org.apache.commons.math.util.MathUtils.copyOf(i_array18, 1);
    int i21 = org.apache.commons.math.util.MathUtils.distanceInf(i_array14, i_array20);
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array20);
    int i23 = org.apache.commons.math.util.MathUtils.distance1(i_array12, i_array22);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array12, (-4));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test306"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-9), 206);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test307"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array26 = new double[] { (-1.0d) };
    double[] d_array29 = new double[] { 0.0d, (-1.0d) };
    double[] d_array30 = new double[] {  };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array29, d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection34 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection34, false);
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array26, d_array33);
    double[] d_array40 = new double[] { 0.0d, (-1.0d) };
    double[] d_array41 = new double[] {  };
    boolean b42 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array40, d_array41);
    double[] d_array44 = org.apache.commons.math.util.MathUtils.copyOf(d_array41, 1);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array33, d_array41);
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array33);
    double[] d_array49 = new double[] { 100.0d, 10.0d };
    double d50 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array49);
    double[] d_array53 = new double[] { 0.0d, (-1.0d) };
    double[] d_array54 = new double[] {  };
    boolean b55 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array53, d_array54);
    double[] d_array57 = org.apache.commons.math.util.MathUtils.copyOf(d_array54, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = null;
    double d60 = org.apache.commons.math.util.MathUtils.distanceInf(d_array54, d_array59);
    double[] d_array62 = new double[] { (-1.0d) };
    double[] d_array65 = new double[] { 0.0d, (-1.0d) };
    double[] d_array66 = new double[] {  };
    boolean b67 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array65, d_array66);
    double[] d_array69 = org.apache.commons.math.util.MathUtils.copyOf(d_array66, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection70 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array69, orderDirection70, false);
    boolean b73 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array62, d_array69);
    double[] d_array76 = new double[] { 0.0d, (-1.0d) };
    double[] d_array77 = new double[] {  };
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array76, d_array77);
    double[] d_array80 = org.apache.commons.math.util.MathUtils.copyOf(d_array77, 1);
    boolean b81 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array69, d_array77);
    double d82 = org.apache.commons.math.util.MathUtils.distance1(d_array54, d_array69);
    double[] d_array83 = org.apache.commons.math.util.MathUtils.copyOf(d_array54);
    double[] d_array84 = org.apache.commons.math.util.MathUtils.copyOf(d_array83);
    boolean b85 = org.apache.commons.math.util.MathUtils.equals(d_array33, d_array83);
    double[] d_array86 = org.apache.commons.math.util.MathUtils.copyOf(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test308"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-99.999985f));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test309"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(1820428777);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test310"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    double d4 = regulaFalsiSolver3.getMin();
    int i5 = regulaFalsiSolver3.getMaxEvaluations();
    double d6 = regulaFalsiSolver3.getStartValue();
    double d7 = regulaFalsiSolver3.getMin();
    int i8 = regulaFalsiSolver3.getEvaluations();
    int i9 = regulaFalsiSolver3.getEvaluations();
    double d10 = regulaFalsiSolver3.getRelativeAccuracy();
    double d11 = regulaFalsiSolver3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.862436238624443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test311"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.99999994f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test312"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6);
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test313"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(7.105429E-15f, (-170));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test314"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver4 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.0d, 9.999999999999999E-16d);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution8 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-10), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver4, 1.2768545724143576d, 79699.57132416441d, 1344.0536711383008d, allowedSolution8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution8);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test315"); }


    int i2 = org.apache.commons.math.util.MathUtils.gcd((-127), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(100.00001f, (-1), (-17));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test317"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(29.529619809320383d, (-8.267730288839683E12d), (-1.0d), 3.9633602009897686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-2.441429321154424E14d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test318"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(33191L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 33191L);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test319"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.06039093795588751d, (-0.34316570195081547d), (-834157609));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test320"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, (-5181947010919151569L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5181947010919151569L));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-1274683151));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test322"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.5961484E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 117);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test323"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.2823964596744644d, 1.6451695656974876d, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test324"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array12 = new double[] { 0.0d, (-1.0d) };
    double[] d_array13 = new double[] {  };
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array13);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array13, 1);
    double d17 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 10000);
    double d20 = org.apache.commons.math.util.MathUtils.safeNorm(d_array19);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array19);
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException25 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number23, (-127));
    java.lang.Number number26 = nonMonotonousSequenceException25.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection27 = nonMonotonousSequenceException25.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      boolean b30 = org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection27, true, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException");
    } catch (org.apache.commons.math.exception.NonMonotonousSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NonMonotonousSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NonMonotonousSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection27);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test325"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(1.0647368379693078d, 0.0d, (-1.243546829793235d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test326"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 496.40547848721775d, 1.414213562373095d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test327"); }


    org.apache.commons.math.util.MathUtils.checkFinite(2.0817295550755226d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test328"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(-0.6655280485429236d), (java.lang.Number)(-5181947010919151569L), (-17));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test329"); }


    int[] i_array2 = new int[] { 1, 100 };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array2, 0);
    int[] i_array5 = new int[] {  };
    int[] i_array6 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array5);
    double d8 = org.apache.commons.math.util.MathUtils.distance(i_array4, i_array5);
    int[] i_array9 = new int[] {  };
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array9);
    int[] i_array11 = org.apache.commons.math.util.MathUtils.copyOf(i_array10);
    int i12 = org.apache.commons.math.util.MathUtils.distanceInf(i_array4, i_array11);
    int[] i_array13 = new int[] {  };
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array15 = new int[] {  };
    int[] i_array16 = org.apache.commons.math.util.MathUtils.copyOf(i_array15);
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int[] i_array19 = org.apache.commons.math.util.MathUtils.copyOf(i_array17, 1);
    int i20 = org.apache.commons.math.util.MathUtils.distanceInf(i_array13, i_array19);
    int[] i_array21 = new int[] {  };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array23 = org.apache.commons.math.util.MathUtils.copyOf(i_array22);
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array23, 1);
    int i26 = org.apache.commons.math.util.MathUtils.distance1(i_array13, i_array25);
    int[] i_array28 = org.apache.commons.math.util.MathUtils.copyOf(i_array13, 0);
    int[] i_array29 = new int[] {  };
    int[] i_array30 = org.apache.commons.math.util.MathUtils.copyOf(i_array29);
    int[] i_array31 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int i32 = org.apache.commons.math.util.MathUtils.distance1(i_array28, i_array30);
    int[] i_array33 = org.apache.commons.math.util.MathUtils.copyOf(i_array30);
    int[] i_array35 = org.apache.commons.math.util.MathUtils.copyOf(i_array30, 0);
    int[] i_array36 = new int[] {  };
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array36);
    double d38 = org.apache.commons.math.util.MathUtils.distance(i_array35, i_array36);
    int i39 = org.apache.commons.math.util.MathUtils.distance1(i_array4, i_array36);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array36, (-4));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test330"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.26119440927544624d, (-0.8226548276278024d), 0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.2148728417398379d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test331"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo((-0.9814049455173911d), (-0.22049321393830057d), 9.186480593217771E159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test332"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { b13 };
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable6, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-135), localizable4, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-834157609), obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test333"); }


    double d1 = org.apache.commons.math.util.MathUtils.sinh((-3.849577673361252E12d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.0749608545580151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07222019603179577d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test335"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.569690402594255d, 0.4515259118935525d, (-1.2180280666000018d), 0.014687495249364387d, 7.544137102816975d, (-0.4161468365471424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-2.4486026808350596d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow((-109L), (-11L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck((-1694164056), 1286437891);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test338"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(14, (-2105837678));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2105837678));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test339"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(6.501552066619407E-111d, 1.0E-15d, 0.7615941559557649d);
    int i4 = regulaFalsiSolver3.getEvaluations();
    int i5 = regulaFalsiSolver3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test340"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1562690064065475d, 1.3197768247270023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.1635078183204548d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test341"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 50.0d, 0.0d, (-1.2235100593353487d), (-0.021614454100800443d), 1.0000010000008333E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-2.1614475715272555E-8d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test342"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.3129336894719743d);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test343"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, (-1.0d) };
    double[] d_array10 = new double[] {  };
    boolean b11 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array9, d_array10);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array10, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection22, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double[] d_array27 = new double[] { (-1.0d) };
    double[] d_array30 = new double[] { 0.0d, (-1.0d) };
    double[] d_array31 = new double[] {  };
    boolean b32 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array30, d_array31);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array31, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection35 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array34, orderDirection35, false);
    boolean b38 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array34);
    double d39 = org.apache.commons.math.util.MathUtils.distanceInf(d_array21, d_array27);
    double[] d_array41 = new double[] { (-1.0d) };
    double[] d_array44 = new double[] { 0.0d, (-1.0d) };
    double[] d_array45 = new double[] {  };
    boolean b46 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array44, d_array45);
    double[] d_array48 = org.apache.commons.math.util.MathUtils.copyOf(d_array45, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection49 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array48, orderDirection49, false);
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array48);
    double[] d_array55 = new double[] { 0.0d, (-1.0d) };
    double[] d_array56 = new double[] {  };
    boolean b57 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array55, d_array56);
    double[] d_array59 = org.apache.commons.math.util.MathUtils.copyOf(d_array56, 1);
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array56);
    boolean b61 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array48);
    double d62 = org.apache.commons.math.util.MathUtils.distance1(d_array13, d_array27);
    boolean b63 = org.apache.commons.math.util.MathUtils.equals(d_array3, d_array13);
    double[] d_array65 = new double[] { (-1.0d) };
    double[] d_array68 = new double[] { 0.0d, (-1.0d) };
    double[] d_array69 = new double[] {  };
    boolean b70 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array68, d_array69);
    double[] d_array72 = org.apache.commons.math.util.MathUtils.copyOf(d_array69, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection73 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array72, orderDirection73, false);
    boolean b76 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array65, d_array72);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException83 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number84 = nonMonotonousSequenceException83.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection85 = nonMonotonousSequenceException83.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException87 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection85, false);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection88 = nonMonotonousSequenceException87.getDirection();
    org.apache.commons.math.util.MathUtils.checkOrder(d_array72, orderDirection88, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkOrder(d_array3, orderDirection88, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number84 + "' != '" + 0.2855843395711495d+ "'", number84.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection88);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test344"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.03490658503988659d), 7.544137102816975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.544137102816975d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.5597067734002287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6265411261979866d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test346"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.6293945E-6f, 7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test347"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(883.7853321830087d, 0.0d, (-0.03490658503988659d), 1.1752011936438014d, 345208.3872708208d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.04102226040490358d));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test348"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double d16 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array14);
    double[] d_array19 = new double[] { 0.0d, (-1.0d) };
    double[] d_array20 = new double[] {  };
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array19, d_array20);
    double[] d_array23 = org.apache.commons.math.util.MathUtils.copyOf(d_array20, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = null;
    double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array20, d_array25);
    double[] d_array28 = new double[] { (-1.0d) };
    double[] d_array31 = new double[] { 0.0d, (-1.0d) };
    double[] d_array32 = new double[] {  };
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array31, d_array32);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array32, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection36 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array35, orderDirection36, false);
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array28, d_array35);
    double[] d_array42 = new double[] { 0.0d, (-1.0d) };
    double[] d_array43 = new double[] {  };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array42, d_array43);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array43, 1);
    boolean b47 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array35, d_array43);
    double d48 = org.apache.commons.math.util.MathUtils.distance1(d_array20, d_array35);
    double[] d_array49 = org.apache.commons.math.util.MathUtils.copyOf(d_array35);
    double d50 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test349"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(2.5961484E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test350"); }


    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException3 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number4 = nonMonotonousSequenceException3.getPrevious();
    boolean b5 = nonMonotonousSequenceException3.getStrict();
    int i6 = nonMonotonousSequenceException3.getIndex();
    int i7 = nonMonotonousSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.2855843395711495d+ "'", number4.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test351"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.7282010813191766d, 1.2391398122732624E-31d, 3.141592653589793d, 0.041061090718475315d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.2391398122732624E-31d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.141592653589793d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test352"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.861727352400908E30d, (java.lang.Number)7.1054274E-15f, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test353"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 415.7787177177308d, 0.6324060938829745d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test354"); }


    double d2 = org.apache.commons.math.util.FastMath.max(188.6389642897521d, 678.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 678.0d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.5132013751311266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7163807473202547d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test356"); }


    java.lang.Number number3 = null;
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection12 = org.apache.commons.math.util.MathUtils.OrderDirection.DECREASING;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException14 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)4.806217383912514E-6d, (java.lang.Number)194.01453467426194d, 33, orderDirection12, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException16 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)102L, (java.lang.Number)2.1175823681357508E-22d, (-1023), orderDirection12, true);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection17 = nonMonotonousSequenceException16.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException19 = new org.apache.commons.math.exception.NonMonotonousSequenceException(number3, (java.lang.Number)(-14.434294481903251d), 31, orderDirection17, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException21 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)6.785345053079812d, (java.lang.Number)3.4028235E38f, 17330, orderDirection17, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection17);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test357"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.1920002E-7f), (-99.999985f), (-1.1920002E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test358"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(7.985582066875331d, 3.708193000094843E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.985582066875332d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test359"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(4.7683713E-7f, 0.0f, 400918717);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test360"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver4 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d5 = regulaFalsiSolver4.getAbsoluteAccuracy();
    double d6 = regulaFalsiSolver4.getAbsoluteAccuracy();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { d6 };
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5389106888032079d, obj_array7);
    java.lang.Number number9 = notFiniteNumberException8.getArgument();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notFiniteNumberException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.5389106888032079d+ "'", number9.equals(0.5389106888032079d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test361"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-1550295474), 1820428777);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.999999429460565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931468952901871d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test363"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 1.60075608E10d, 5.12E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test364"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount();
    int i6 = incrementor0.getCount();
    incrementor0.incrementCount();
    incrementor0.incrementCount(7);
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(109);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test365"); }


    long long2 = org.apache.commons.math.util.FastMath.min(729L, 945L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 729L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test366"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.0d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test367"); }


    double d2 = org.apache.commons.math.util.MathUtils.log(0.16765036534331296d, 3.6905402972880568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7311671545789522d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test368"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd(8254515218771550869L, 33191L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test369"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-2.441429321154424E14d), (-2.3712429739482324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.441429321154424E14d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test370"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(7.136022605514909d, 1256.4211552533686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.13602260551491d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test371"); }


    double d2 = org.apache.commons.math.util.MathUtils.round((-0.3141912947882032d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test372"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.2356722000022905d, 360.0d, 0.916126511821406d, 54111.72098221809d, obj_array5);
    double d7 = noBracketingException6.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.2356722000022905d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test373"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)(short)0, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, number5, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(byte)10, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = nullArgumentException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test374"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { (-1.0d) };
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection20 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array19, orderDirection20, false);
    boolean b23 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array19);
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array12);
    double[] d_array25 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = org.apache.commons.math.util.MathUtils.distanceInf(d_array12, d_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test375"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.lcm((-1291375114), 784455041);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test376"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.5563689509590837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8491782845909969d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(6.102016471589204E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test378"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array11 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, (-1.0d) };
    double[] d_array15 = new double[] {  };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array18);
    double[] d_array25 = new double[] { 0.0d, (-1.0d) };
    double[] d_array26 = new double[] {  };
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26, 1);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array26);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array18);
    double[] d_array34 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 0);
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array41);
    double[] d_array47 = new double[] { (-1.0d) };
    double[] d_array50 = new double[] { 0.0d, (-1.0d) };
    double[] d_array51 = new double[] {  };
    boolean b52 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array50, d_array51);
    double[] d_array54 = org.apache.commons.math.util.MathUtils.copyOf(d_array51, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection55 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array54, orderDirection55, false);
    boolean b58 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array54);
    double d59 = org.apache.commons.math.util.MathUtils.distanceInf(d_array41, d_array47);
    double[] d_array61 = new double[] { (-1.0d) };
    double[] d_array64 = new double[] { 0.0d, (-1.0d) };
    double[] d_array65 = new double[] {  };
    boolean b66 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array64, d_array65);
    double[] d_array68 = org.apache.commons.math.util.MathUtils.copyOf(d_array65, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection69 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array68, orderDirection69, false);
    boolean b72 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array61, d_array68);
    double[] d_array75 = new double[] { 0.0d, (-1.0d) };
    double[] d_array76 = new double[] {  };
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array75, d_array76);
    double[] d_array79 = org.apache.commons.math.util.MathUtils.copyOf(d_array76, 1);
    boolean b80 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array68, d_array76);
    boolean b81 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array68);
    double[] d_array83 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array47, 13.928910031810169d);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array86 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array47, (-4.4754057524099435d));
    boolean b87 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array86);
    java.lang.Number number89 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException91 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number89, (-127));
    java.lang.Number number92 = nonMonotonousSequenceException91.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection93 = nonMonotonousSequenceException91.getDirection();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext94 = nonMonotonousSequenceException91.getContext();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection95 = nonMonotonousSequenceException91.getDirection();
    boolean b98 = org.apache.commons.math.util.MathUtils.checkOrder(d_array86, orderDirection95, false, false);
    int i99 = org.apache.commons.math.util.MathUtils.hash(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i99 == 65691554);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test379"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign(7.105429E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test380"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(1.0001078554419518d, 359.3167529404454d, 3.0166249598830226d, 6.250002083334375E-4d, (-1.4447262346555838d), 6.742712496873522E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 359.3573925988629d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test381"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.734723475976807E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1010827264);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test382"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(1.2217538744208285d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test383"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.0d);
    double d4 = regulaFalsiSolver3.getAbsoluteAccuracy();
    double d5 = regulaFalsiSolver3.getRelativeAccuracy();
    double d6 = regulaFalsiSolver3.getAbsoluteAccuracy();
    int i7 = regulaFalsiSolver3.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver16 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d17 = regulaFalsiSolver16.getAbsoluteAccuracy();
    double d18 = regulaFalsiSolver16.getAbsoluteAccuracy();
    double d19 = regulaFalsiSolver16.getRelativeAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution23 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d24 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-10), univariateRealFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver16, 0.6308251500875482d, 0.0d, 3.8562048236263E215d, allowedSolution23);
    double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(136, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver3, 54157.40192862598d, 0.041061090718475315d, 34.46999640613799d, allowedSolution23);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction27 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction31 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver32 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution36 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d37 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-11), univariateRealFunction31, bracketedUnivariateRealSolver32, 4.6050701709847575d, 2.140038366197238d, 1.4893943422686007d, allowedSolution36);
    // The following exception was thrown during execution in test generation
    try {
      double d38 = regulaFalsiSolver3.solve(7, univariateRealFunction27, 0.15708647509883514d, 0.0374194429400352d, allowedSolution36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.6308251500875482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 54157.40192862598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 4.6050701709847575d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test384"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)136);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test385"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(100, 100);
    int i3 = dimensionMismatchException2.getDimension();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)155.74607629780775d);
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)tooManyEvaluationsException5);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)tooManyEvaluationsException5);
    int i8 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test386"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)7, (java.lang.Number)(-0.0101547149295256d), false);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test387"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.917365380203888d, 317620040);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test388"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence((-0.3141912947882032d), 0.26948307496993273d, 50.00032584308049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialLog((-1694167446));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test390"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)(short)0, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)1.0E-6d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)9.999999999732445E-7d, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, number3, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.7054302418366416d, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.6051442486250744d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test392"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(6735060L, (-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test393"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver1 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.5132013751311266d);
    double d2 = regulaFalsiSolver1.getFunctionValueAccuracy();
    double d3 = regulaFalsiSolver1.getStartValue();
    double d4 = regulaFalsiSolver1.getMin();
    int i5 = regulaFalsiSolver1.getEvaluations();
    double d6 = regulaFalsiSolver1.getRelativeAccuracy();
    double d7 = regulaFalsiSolver1.getRelativeAccuracy();
    double d8 = regulaFalsiSolver1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test394"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(132.3147768215649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test395"); }


    long long2 = org.apache.commons.math.util.MathUtils.gcd((-5406537099369665671L), (-1199L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(4.957814643022025E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.957814643021618E-7d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test397"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)7793427093719742475L);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test398"); }


    double d6 = org.apache.commons.math.util.MathUtils.linearCombination(0.002764382751791275d, 1.586662954217718d, 1.3925848967836367d, 1.1336645341288802d, 1206.1818428686745d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.583110251950682d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test399"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    double d4 = regulaFalsiSolver3.getMin();
    double d5 = regulaFalsiSolver3.getMin();
    double d6 = regulaFalsiSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5132013751311266d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 50.000325843080496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 50.000325843080496d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test401"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1592766495);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1592766495);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test402"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.0d, 0.5848407486845835d, (-1757542967));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test403"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 34.46999640613799d, 1.238749439456798d, 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test404"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.159282883499598d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test405"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    incrementor0.setMaximalCount(2147483639);
    int i5 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2147483639);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test406"); }


    long long1 = org.apache.commons.math.util.FastMath.round(3.2019103352148606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test407"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test408"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(1694164056, 1433134112);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test409"); }


    double[] d_array5 = new double[] { 0.0d, (-1.0d) };
    double[] d_array6 = new double[] {  };
    boolean b7 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array5, d_array6);
    double[] d_array9 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = null;
    double d12 = org.apache.commons.math.util.MathUtils.distanceInf(d_array6, d_array11);
    double[] d_array14 = new double[] { (-1.0d) };
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection22 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection22, false);
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array21);
    double[] d_array28 = new double[] { 0.0d, (-1.0d) };
    double[] d_array29 = new double[] {  };
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array28, d_array29);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array29, 1);
    boolean b33 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array21, d_array29);
    double d34 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array21);
    double[] d_array35 = org.apache.commons.math.util.MathUtils.copyOf(d_array21);
    double[] d_array37 = org.apache.commons.math.util.MathUtils.copyOf(d_array21, 0);
    java.lang.Number number39 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException41 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number39, (-127));
    int i42 = nonMonotonousSequenceException41.getIndex();
    boolean b43 = nonMonotonousSequenceException41.getStrict();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection44 = nonMonotonousSequenceException41.getDirection();
    org.apache.commons.math.util.MathUtils.checkOrder(d_array21, orderDirection44, false);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException48 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8166149869364815d, (java.lang.Number)1.6758998472942637d, (-334386015), orderDirection44, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.6065306597126334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1896482955455463d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(339.41453336675727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12222043053295044d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test412"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.1672953518173834d, 0.014686967230047124d, 0.0034288025234964757d, 1.0547118733938987E-15d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0547118733938987E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0034288025234964757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0034288025234964757d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test413"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.862436238624443d, 0.5132013751311266d, 0.0d);
    int i4 = regulaFalsiSolver3.getMaxEvaluations();
    double d5 = regulaFalsiSolver3.getMax();
    double d6 = regulaFalsiSolver3.getMin();
    double d7 = regulaFalsiSolver3.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = regulaFalsiSolver3.solve(1831740810, univariateRealFunction9, (-0.3141912947882032d), 1.0547118733938987E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test414"); }


    int i2 = org.apache.commons.math.util.MathUtils.subAndCheck((-127), (-796357113));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 796356986);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test416"); }


    float[] f_array1 = new float[] { 1.0f };
    float[] f_array5 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array5);
    float[] f_array8 = new float[] { 1.0f };
    float[] f_array12 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b13 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array8, f_array12);
    float[] f_array15 = new float[] { 1.0f };
    float[] f_array19 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b20 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array15, f_array19);
    boolean b21 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array12, f_array15);
    boolean b22 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array12);
    float[] f_array24 = new float[] { 1.0f };
    float[] f_array28 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array24, f_array28);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array1, f_array28);
    float[] f_array32 = new float[] { 1.0f };
    float[] f_array36 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b37 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array36);
    float[] f_array39 = new float[] { 1.0f };
    float[] f_array43 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array39, f_array43);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array32, f_array39);
    boolean b46 = org.apache.commons.math.util.MathUtils.equals(f_array1, f_array39);
    float[] f_array48 = new float[] { 1.0f };
    float[] f_array52 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array52);
    float[] f_array55 = new float[] { 1.0f };
    float[] f_array59 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b60 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array55, f_array59);
    float[] f_array62 = new float[] { 1.0f };
    float[] f_array66 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b67 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array62, f_array66);
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array59, f_array62);
    boolean b69 = org.apache.commons.math.util.MathUtils.equals(f_array48, f_array59);
    float[] f_array71 = new float[] { 1.0f };
    float[] f_array75 = new float[] { 0.0f, 100.0f, 100.0f };
    boolean b76 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array71, f_array75);
    boolean b77 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array75);
    boolean b78 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array39, f_array48);
    float[] f_array79 = null;
    boolean b80 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(f_array48, f_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test417"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(136);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test418"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.MathUtils.round(2.5961484E35f, 206, (-2105837678));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test419"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1627155350188538d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.util.MathUtils.factorialDouble((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test421"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    incrementor0.resetCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test422"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array12 = new double[] { 0.0d, (-1.0d) };
    double[] d_array13 = new double[] {  };
    boolean b14 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array12, d_array13);
    double[] d_array16 = org.apache.commons.math.util.MathUtils.copyOf(d_array13, 1);
    double d17 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array16);
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException21 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number19, (-127));
    java.lang.String str22 = nonMonotonousSequenceException21.toString();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection23 = nonMonotonousSequenceException21.getDirection();
    boolean b26 = org.apache.commons.math.util.MathUtils.checkOrder(d_array16, orderDirection23, false, false);
    double[] d_array29 = new double[] { 0.0d, (-1.0d) };
    double[] d_array30 = new double[] {  };
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array29, d_array30);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array30, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection34 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array33, orderDirection34, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array38 = org.apache.commons.math.util.MathUtils.copyOf(d_array33);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array33);
    double[] d_array42 = new double[] { 0.0d, (-1.0d) };
    double[] d_array43 = new double[] {  };
    boolean b44 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array42, d_array43);
    double[] d_array46 = org.apache.commons.math.util.MathUtils.copyOf(d_array43, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection47 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array46, orderDirection47, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array46);
    double[] d_array53 = org.apache.commons.math.util.MathUtils.copyOf(d_array51, 0);
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException60 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)0.8414709848127025d, (java.lang.Number)0.2855843395711495d, 10);
    java.lang.Number number61 = nonMonotonousSequenceException60.getPrevious();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection62 = nonMonotonousSequenceException60.getDirection();
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException64 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)(short)10, (java.lang.Number)7.544137102816975d, (-127), orderDirection62, false);
    boolean b67 = org.apache.commons.math.util.MathUtils.checkOrder(d_array51, orderDirection62, false, true);
    double d68 = org.apache.commons.math.util.MathUtils.distance(d_array33, d_array51);
    double[] d_array69 = org.apache.commons.math.util.MathUtils.copyOf(d_array33);
    double d70 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array33);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array72 = org.apache.commons.math.util.MathUtils.normalizeArray(d_array33, 0.5921505669882385d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"+ "'", str22.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number61 + "' != '" + 0.2855843395711495d+ "'", number61.equals(0.2855843395711495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-23.84345739187178d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9606363540620994d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test424"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(1.414213562373095d, 155.74607629780775d, 0.7615941559557649d);
    double d4 = regulaFalsiSolver3.getRelativeAccuracy();
    double d5 = regulaFalsiSolver3.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver13 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver22 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.7853981633974483d, 0.0d, 2.2250738585072014E-308d);
    double d23 = regulaFalsiSolver22.getAbsoluteAccuracy();
    double d24 = regulaFalsiSolver22.getAbsoluteAccuracy();
    double d25 = regulaFalsiSolver22.getRelativeAccuracy();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution29 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d30 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-10), univariateRealFunction18, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)regulaFalsiSolver22, 0.6308251500875482d, 0.0d, 3.8562048236263E215d, allowedSolution29);
    double d31 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-808182895), univariateRealFunction12, bracketedUnivariateRealSolver13, 0.9173653802038879d, 1.1276259652063807d, 207.34511563270783d, allowedSolution29);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = regulaFalsiSolver3.solve((-24), univariateRealFunction7, 1.0000010000008333E-6d, 0.0d, 1713.8396974601428d, allowedSolution29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.6308251500875482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9173653802038879d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test425"); }


    double d4 = org.apache.commons.math.util.MathUtils.linearCombination(0.0d, 205.73098231803883d, 0.0d, 3.8562048236263E215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test426"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1506.4347384870243d, 6.213430960506752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1506.4475523710641d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test427"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.13533653469000795d), (-0.25437695083295214d), 54157.40192862598d, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test428"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(3.6787944117144235E-15d, 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8527664828134986E-15d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test429"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(Float.NaN, 2.296E-41f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.3678794411714423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6065306597126334d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test431"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    noBracketingException19.addSuppressed((java.lang.Throwable)mathArithmeticException20);
    double d23 = noBracketingException19.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0000005000001665E-6d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test432"); }


    long long2 = org.apache.commons.math.util.MathUtils.mulAndCheck(102L, 109L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11118L);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test433"); }


    double d2 = org.apache.commons.math.util.MathUtils.round(3.681950640605646d, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.681950640605646d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test434"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.24392069066885724d), 1506.4347384870243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.24392069066885722d));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test435"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1831740707), 33300L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1159473937);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test436"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver2 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(0.8414709848127025d, (-0.7282010813191766d));
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = regulaFalsiSolver2.solve((-2), univariateRealFunction4, (-1.2384169964551002d), (-1214.076402661495d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test437"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(107, 8604L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 459095761);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test438"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)4.806217383937352E-6d);
    java.lang.Number number2 = notPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 4.806217383937352E-6d+ "'", number2.equals(4.806217383937352E-6d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.561944392631307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9740617561642348d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test440"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, (-637578266284939271L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test441"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(72, 956L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test442"); }


    int[] i_array0 = new int[] {  };
    int[] i_array1 = org.apache.commons.math.util.MathUtils.copyOf(i_array0);
    int[] i_array2 = org.apache.commons.math.util.MathUtils.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array4 = org.apache.commons.math.util.MathUtils.copyOf(i_array3);
    int i5 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array4);
    int[] i_array6 = new int[] {  };
    int[] i_array7 = org.apache.commons.math.util.MathUtils.copyOf(i_array6);
    int[] i_array8 = org.apache.commons.math.util.MathUtils.copyOf(i_array7);
    int[] i_array10 = org.apache.commons.math.util.MathUtils.copyOf(i_array8, 1);
    int[] i_array12 = org.apache.commons.math.util.MathUtils.copyOf(i_array10, 0);
    int[] i_array13 = new int[] {  };
    int[] i_array14 = org.apache.commons.math.util.MathUtils.copyOf(i_array13);
    int[] i_array15 = org.apache.commons.math.util.MathUtils.copyOf(i_array14);
    int[] i_array16 = new int[] {  };
    int[] i_array17 = org.apache.commons.math.util.MathUtils.copyOf(i_array16);
    int i18 = org.apache.commons.math.util.MathUtils.distanceInf(i_array15, i_array17);
    int i19 = org.apache.commons.math.util.MathUtils.distanceInf(i_array12, i_array15);
    int i20 = org.apache.commons.math.util.MathUtils.distanceInf(i_array2, i_array12);
    int[] i_array21 = new int[] {  };
    int[] i_array22 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array23 = new int[] {  };
    int[] i_array24 = org.apache.commons.math.util.MathUtils.copyOf(i_array23);
    int[] i_array25 = org.apache.commons.math.util.MathUtils.copyOf(i_array24);
    int[] i_array27 = org.apache.commons.math.util.MathUtils.copyOf(i_array25, 1);
    int i28 = org.apache.commons.math.util.MathUtils.distanceInf(i_array21, i_array27);
    int[] i_array29 = org.apache.commons.math.util.MathUtils.copyOf(i_array21);
    int[] i_array32 = new int[] { 1, 100 };
    int[] i_array34 = org.apache.commons.math.util.MathUtils.copyOf(i_array32, 0);
    int[] i_array35 = new int[] {  };
    int[] i_array36 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    int[] i_array37 = org.apache.commons.math.util.MathUtils.copyOf(i_array35);
    double d38 = org.apache.commons.math.util.MathUtils.distance(i_array34, i_array35);
    int[] i_array39 = new int[] {  };
    int[] i_array40 = org.apache.commons.math.util.MathUtils.copyOf(i_array39);
    int[] i_array41 = org.apache.commons.math.util.MathUtils.copyOf(i_array40);
    int i42 = org.apache.commons.math.util.MathUtils.distanceInf(i_array34, i_array41);
    int[] i_array43 = org.apache.commons.math.util.MathUtils.copyOf(i_array41);
    int i44 = org.apache.commons.math.util.MathUtils.distanceInf(i_array29, i_array41);
    int[] i_array45 = org.apache.commons.math.util.MathUtils.copyOf(i_array29);
    int[] i_array46 = new int[] {  };
    int[] i_array47 = org.apache.commons.math.util.MathUtils.copyOf(i_array46);
    int[] i_array48 = new int[] {  };
    int[] i_array49 = org.apache.commons.math.util.MathUtils.copyOf(i_array48);
    int[] i_array50 = org.apache.commons.math.util.MathUtils.copyOf(i_array49);
    int[] i_array52 = org.apache.commons.math.util.MathUtils.copyOf(i_array50, 1);
    int i53 = org.apache.commons.math.util.MathUtils.distanceInf(i_array46, i_array52);
    int[] i_array55 = org.apache.commons.math.util.MathUtils.copyOf(i_array52, 254);
    double d56 = org.apache.commons.math.util.MathUtils.distance(i_array45, i_array55);
    int[] i_array59 = new int[] { 1, 100 };
    int[] i_array61 = org.apache.commons.math.util.MathUtils.copyOf(i_array59, 0);
    int[] i_array62 = new int[] {  };
    int[] i_array63 = org.apache.commons.math.util.MathUtils.copyOf(i_array62);
    int[] i_array64 = org.apache.commons.math.util.MathUtils.copyOf(i_array62);
    double d65 = org.apache.commons.math.util.MathUtils.distance(i_array61, i_array62);
    int i66 = org.apache.commons.math.util.MathUtils.distance1(i_array45, i_array62);
    int i67 = org.apache.commons.math.util.MathUtils.distance1(i_array2, i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test443"); }


    int i2 = org.apache.commons.math.util.FastMath.min(126, (-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-11));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.6426774986715578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6426774986715578d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test445"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.192E-7f, 167470177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test446"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(0.6308251500875484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(6.516861609965433E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.516861148685846E-4d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test448"); }


    long long2 = org.apache.commons.math.util.MathUtils.subAndCheck(6114900L, 109L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6114791L);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test449"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(123.8720389052105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.132657844944465E53d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test450"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array10 = new double[] { 0.0d, (-1.0d) };
    double[] d_array11 = new double[] {  };
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array10, d_array11);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array11, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection15 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array14, orderDirection15, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array20 = new double[] { (-1.0d) };
    double[] d_array23 = new double[] { 0.0d, (-1.0d) };
    double[] d_array24 = new double[] {  };
    boolean b25 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array23, d_array24);
    double[] d_array27 = org.apache.commons.math.util.MathUtils.copyOf(d_array24, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection28 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array27, orderDirection28, false);
    boolean b31 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array27);
    double d32 = org.apache.commons.math.util.MathUtils.distanceInf(d_array14, d_array20);
    double[] d_array34 = new double[] { (-1.0d) };
    double[] d_array37 = new double[] { 0.0d, (-1.0d) };
    double[] d_array38 = new double[] {  };
    boolean b39 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array37, d_array38);
    double[] d_array41 = org.apache.commons.math.util.MathUtils.copyOf(d_array38, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection42 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array41, orderDirection42, false);
    boolean b45 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array34, d_array41);
    double[] d_array48 = new double[] { 0.0d, (-1.0d) };
    double[] d_array49 = new double[] {  };
    boolean b50 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array48, d_array49);
    double[] d_array52 = org.apache.commons.math.util.MathUtils.copyOf(d_array49, 1);
    boolean b53 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array41, d_array49);
    boolean b54 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array20, d_array41);
    double d55 = org.apache.commons.math.util.MathUtils.distance1(d_array6, d_array20);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test451"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 0.82171891892681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test452"); }


    double d1 = org.apache.commons.math.util.MathUtils.factorialDouble(159);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9467022724957024E282d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test453"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-762067113));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test454"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.404090514126009d, 0.5339296554980594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.404090514126009d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test455"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-34272670), 2824242201104659641L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test456"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.99999976f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test457"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    int i12 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 31);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test458"); }


    float f2 = org.apache.commons.math.util.MathUtils.round(0.99999976f, (-1170717223));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test459"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-956L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-956L));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test460"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-334386015), 1019215872);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-334386015));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test461"); }


    double[] d_array1 = new double[] { (-1.0d) };
    double[] d_array4 = new double[] { 0.0d, (-1.0d) };
    double[] d_array5 = new double[] {  };
    boolean b6 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array4, d_array5);
    double[] d_array8 = org.apache.commons.math.util.MathUtils.copyOf(d_array5, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection9 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array8, orderDirection9, false);
    boolean b12 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array1, d_array8);
    double[] d_array15 = new double[] { 0.0d, (-1.0d) };
    double[] d_array16 = new double[] {  };
    boolean b17 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array15, d_array16);
    double[] d_array19 = org.apache.commons.math.util.MathUtils.copyOf(d_array16, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    double[] d_array21 = null;
    double d22 = org.apache.commons.math.util.MathUtils.distanceInf(d_array16, d_array21);
    double[] d_array24 = new double[] { (-1.0d) };
    double[] d_array27 = new double[] { 0.0d, (-1.0d) };
    double[] d_array28 = new double[] {  };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array28);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array28, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection32 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array31, orderDirection32, false);
    boolean b35 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array24, d_array31);
    double[] d_array38 = new double[] { 0.0d, (-1.0d) };
    double[] d_array39 = new double[] {  };
    boolean b40 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array38, d_array39);
    double[] d_array42 = org.apache.commons.math.util.MathUtils.copyOf(d_array39, 1);
    boolean b43 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array31, d_array39);
    double d44 = org.apache.commons.math.util.MathUtils.distance1(d_array16, d_array31);
    double[] d_array47 = new double[] { 0.0d, (-1.0d) };
    double[] d_array48 = new double[] {  };
    boolean b49 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array47, d_array48);
    double[] d_array51 = org.apache.commons.math.util.MathUtils.copyOf(d_array48, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection52 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array51, orderDirection52, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array57 = new double[] { (-1.0d) };
    double[] d_array60 = new double[] { 0.0d, (-1.0d) };
    double[] d_array61 = new double[] {  };
    boolean b62 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array60, d_array61);
    double[] d_array64 = org.apache.commons.math.util.MathUtils.copyOf(d_array61, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection65 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array64, orderDirection65, false);
    boolean b68 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array57, d_array64);
    double d69 = org.apache.commons.math.util.MathUtils.distanceInf(d_array51, d_array57);
    double[] d_array71 = new double[] { (-1.0d) };
    double[] d_array74 = new double[] { 0.0d, (-1.0d) };
    double[] d_array75 = new double[] {  };
    boolean b76 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array74, d_array75);
    double[] d_array78 = org.apache.commons.math.util.MathUtils.copyOf(d_array75, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection79 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array78, orderDirection79, false);
    boolean b82 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array71, d_array78);
    double[] d_array85 = new double[] { 0.0d, (-1.0d) };
    double[] d_array86 = new double[] {  };
    boolean b87 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array85, d_array86);
    double[] d_array89 = org.apache.commons.math.util.MathUtils.copyOf(d_array86, 1);
    boolean b90 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array78, d_array86);
    boolean b91 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array57, d_array78);
    double[] d_array94 = new double[] { 100.0d, 10.0d };
    double d95 = org.apache.commons.math.util.MathUtils.distance(d_array78, d_array94);
    boolean b96 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array16, d_array78);
    double d97 = org.apache.commons.math.util.MathUtils.distance(d_array8, d_array78);
    org.apache.commons.math.util.MathUtils.checkOrder(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test462"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.0000005000001665E-6d, 1.0E-6d, 0.8414709848078965d, 0.862436238624443d, obj_array14);
    double d20 = noBracketingException19.getFLo();
    double d21 = noBracketingException19.getLo();
    double d22 = noBracketingException19.getFHi();
    java.lang.Throwable[] throwable_array23 = noBracketingException19.getSuppressed();
    double d24 = noBracketingException19.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0000005000001665E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.862436238624443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.862436238624443d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.003422937582782562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0034229308986441455d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test464"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-93500), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test465"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 10.067661995777765d, 0.5132013751311265d, 2.3129336894719743d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test466"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1021.1189526391352d, 0.3678794411714423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1021.118952639135d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9979790914393529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9993259095172404d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test468"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals((-0.4944685646290089d), 3.080037249964145d, 0.2809726963159035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test469"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)99.99999999999999d);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 99.99999999999999d+ "'", number3.equals(99.99999999999999d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test470"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.099559048004761d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test471"); }


    double d2 = org.apache.commons.math.util.MathUtils.binomialCoefficientDouble(117, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test472"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver0 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver();
    double d1 = regulaFalsiSolver0.getAbsoluteAccuracy();
    double d2 = regulaFalsiSolver0.getStartValue();
    int i3 = regulaFalsiSolver0.getMaxEvaluations();
    double d4 = regulaFalsiSolver0.getFunctionValueAccuracy();
    double d5 = regulaFalsiSolver0.getAbsoluteAccuracy();
    int i6 = regulaFalsiSolver0.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test473"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equals(3.4028235E38f, 1.0000001E10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test474"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.761594155955765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8657694832396587d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test475"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)134.72866938110153d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 134.72866938110153d+ "'", number3.equals(134.72866938110153d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test476"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.08782851474047786d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test477"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection7 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array6, orderDirection7, false);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = org.apache.commons.math.util.MathUtils.copyOf(d_array6);
    double[] d_array13 = org.apache.commons.math.util.MathUtils.copyOf(d_array6, 9);
    double[] d_array14 = org.apache.commons.math.util.MathUtils.copyOf(d_array13);
    double[] d_array17 = new double[] { 0.0d, (-1.0d) };
    double[] d_array18 = new double[] {  };
    boolean b19 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array17, d_array18);
    double[] d_array21 = org.apache.commons.math.util.MathUtils.copyOf(d_array18, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    double[] d_array23 = null;
    double d24 = org.apache.commons.math.util.MathUtils.distanceInf(d_array18, d_array23);
    double[] d_array27 = new double[] { 0.0d, (-1.0d) };
    double[] d_array28 = new double[] {  };
    boolean b29 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array27, d_array28);
    double[] d_array31 = org.apache.commons.math.util.MathUtils.copyOf(d_array28, 1);
    double d32 = org.apache.commons.math.util.MathUtils.distance1(d_array18, d_array31);
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.NonMonotonousSequenceException nonMonotonousSequenceException36 = new org.apache.commons.math.exception.NonMonotonousSequenceException((java.lang.Number)2L, number34, (-127));
    java.lang.String str37 = nonMonotonousSequenceException36.toString();
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection38 = nonMonotonousSequenceException36.getDirection();
    boolean b41 = org.apache.commons.math.util.MathUtils.checkOrder(d_array31, orderDirection38, false, false);
    double d42 = org.apache.commons.math.util.MathUtils.safeNorm(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = org.apache.commons.math.util.MathUtils.distanceInf(d_array13, d_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"+ "'", str37.equals("org.apache.commons.math.exception.NonMonotonousSequenceException: points -128 and -127 are not strictly increasing (null >= 2)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test478"); }


    org.apache.commons.math.analysis.solvers.RegulaFalsiSolver regulaFalsiSolver3 = new org.apache.commons.math.analysis.solvers.RegulaFalsiSolver(123.8720389052105d, 4.957814643022025E-7d, 1.414213562373095d);
    int i4 = regulaFalsiSolver3.getMaxEvaluations();
    int i5 = regulaFalsiSolver3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test479"); }


    float f1 = org.apache.commons.math.util.MathUtils.sign((-9.9999969E9f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test480"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(400.00003f, 0.0f, 1.0141205E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.mulAndCheck(33, 183174081);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test482"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.806217383937352E-6d, (java.lang.Number)24.0d, false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7496295035758045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6432639489101383d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test484"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.0034288025234964752d, (java.lang.Number)4.0017568419996506E156d, false);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test485"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.6928139715692972d, 0.5921505669882386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test486"); }


    int i3 = org.apache.commons.math.util.MathUtils.compareTo(0.0d, 7.544137102816978d, 0.6432639489101383d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test487"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-2.0d), 1.4893943422686007d, 0.1873582857128711d, 0.3126965362160526d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test488"); }


    boolean b3 = org.apache.commons.math.util.MathUtils.equals(29.529619809320383d, 2.1592828834995985d, (-14.434294481903251d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test489"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)(short)0, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, number10, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.0d, localizable5, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.518985545582364E-4d, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test490"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN((-1.1920002E-7f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test491"); }


    double[] d_array2 = new double[] { 0.0d, (-1.0d) };
    double[] d_array3 = new double[] {  };
    boolean b4 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array2, d_array3);
    double[] d_array6 = org.apache.commons.math.util.MathUtils.copyOf(d_array3, 1);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = null;
    double d9 = org.apache.commons.math.util.MathUtils.distanceInf(d_array3, d_array8);
    double[] d_array11 = new double[] { (-1.0d) };
    double[] d_array14 = new double[] { 0.0d, (-1.0d) };
    double[] d_array15 = new double[] {  };
    boolean b16 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array14, d_array15);
    double[] d_array18 = org.apache.commons.math.util.MathUtils.copyOf(d_array15, 1);
    org.apache.commons.math.util.MathUtils.OrderDirection orderDirection19 = null;
    org.apache.commons.math.util.MathUtils.checkOrder(d_array18, orderDirection19, false);
    boolean b22 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array11, d_array18);
    double[] d_array25 = new double[] { 0.0d, (-1.0d) };
    double[] d_array26 = new double[] {  };
    boolean b27 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array25, d_array26);
    double[] d_array29 = org.apache.commons.math.util.MathUtils.copyOf(d_array26, 1);
    boolean b30 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(d_array18, d_array26);
    double d31 = org.apache.commons.math.util.MathUtils.distance1(d_array3, d_array18);
    double[] d_array32 = org.apache.commons.math.util.MathUtils.copyOf(d_array3);
    double[] d_array33 = org.apache.commons.math.util.MathUtils.copyOf(d_array32);
    double[] d_array34 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d35 = org.apache.commons.math.util.MathUtils.linearCombination(d_array32, d_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test492"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.13533653469000795d), 0.021176892700980946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.021176892700980946d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.4725027294034954E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4725027294034954E-33d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test494"); }


    double d1 = org.apache.commons.math.util.MathUtils.sign(1.4159415521135934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test495"); }


    boolean b2 = org.apache.commons.math.util.MathUtils.equalsIncludingNaN(0.2439490393600979d, 752.093821853391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test496"); }


    double d1 = org.apache.commons.math.util.MathUtils.cosh((-1.3968770272493953E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test497"); }


    long long2 = org.apache.commons.math.util.MathUtils.binomialCoefficient(12, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test498"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(1.4511292182435374d, 0.016086683462522528d, 1.2527657176854956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.005323299007771398d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test499"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.48068138099697766d));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test500"); }


    int i1 = org.apache.commons.math.util.FastMath.round(7.105429E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

}
